Index: trunk/SophyaPI/PIext/smakefile
===================================================================
--- trunk/SophyaPI/PIext/smakefile	(revision 2781)
+++ trunk/SophyaPI/PIext/smakefile	(revision 2784)
@@ -1,20 +1,20 @@
 include $(SOPHYABASE)/include/sophyamake.inc
+
  
 all: $(SOPHYALIBP)libPIext.a
  
 clean:
-	 rm -f $(SOPHYAOBJP)basexecut.o $(SOPHYAOBJP)contmodex.o $(SOPHYAOBJP)cxxexecutor.o $(SOPHYAOBJP)cxxexecwin.o $(SOPHYAOBJP)flowmodex.o $(SOPHYAOBJP)nobjmgr.o $(SOPHYAOBJP)nomgadapter.o $(SOPHYAOBJP)nomgfdadapter.o $(SOPHYAOBJP)nomhistadapter.o $(SOPHYAOBJP)nomimagadapter.o $(SOPHYAOBJP)nommatvecadapter.o $(SOPHYAOBJP)nomskymapadapter.o $(SOPHYAOBJP)nomspecrespadapter.o $(SOPHYAOBJP)nomstladapter.o $(SOPHYAOBJP)nomtarradapter.o $(SOPHYAOBJP)nomtmatvecadapter.o $(SOPHYAOBJP)pawexecut.o $(SOPHYAOBJP)pi2dvec.o $(SOPHYAOBJP)piacmd.o $(SOPHYAOBJP)piafitting.o $(SOPHYAOBJP)pigfd1.o $(SOPHYAOBJP)pigfd2.o $(SOPHYAOBJP)pihisto.o $(SOPHYAOBJP)pihisto2d.o $(SOPHYAOBJP)piinit.o $(SOPHYAOBJP)pintup3d.o $(SOPHYAOBJP)pintuple.o $(SOPHYAOBJP)pipodrw.o $(SOPHYAOBJP)pisiadw.o $(SOPHYAOBJP)pistdimgapp.o $(SOPHYAOBJP)pistlist.o $(SOPHYAOBJP)pitvmaad.o $(SOPHYAOBJP)servnobjm.o $(SOPHYAOBJP)userfitfunex.o
+	 rm -f $(SOPHYAOBJP)basexecut.o $(SOPHYAOBJP)contmodex.o $(SOPHYAOBJP)cxxexecutor.o $(SOPHYAOBJP)cxxexecwin.o $(SOPHYAOBJP)flowmodex.o $(SOPHYAOBJP)graphexecut.o $(SOPHYAOBJP)nobjmgr.o $(SOPHYAOBJP)nomgadapter.o $(SOPHYAOBJP)nomgfdadapter.o $(SOPHYAOBJP)nomhistadapter.o $(SOPHYAOBJP)nomimagadapter.o $(SOPHYAOBJP)nommatvecadapter.o $(SOPHYAOBJP)nomskymapadapter.o $(SOPHYAOBJP)nomspecrespadapter.o $(SOPHYAOBJP)nomstladapter.o $(SOPHYAOBJP)nomtarradapter.o $(SOPHYAOBJP)nomtmatvecadapter.o $(SOPHYAOBJP)pawexecut.o $(SOPHYAOBJP)pi2dvec.o $(SOPHYAOBJP)piacmd.o $(SOPHYAOBJP)piafitting.o $(SOPHYAOBJP)pigfd1.o $(SOPHYAOBJP)pigfd2.o $(SOPHYAOBJP)pihisto.o $(SOPHYAOBJP)pihisto2d.o $(SOPHYAOBJP)piinit.o $(SOPHYAOBJP)pintup3d.o $(SOPHYAOBJP)pintuple.o $(SOPHYAOBJP)pipodrw.o $(SOPHYAOBJP)pisiadw.o $(SOPHYAOBJP)pistdimgapp.o $(SOPHYAOBJP)pistlist.o $(SOPHYAOBJP)pitvmaad.o $(SOPHYAOBJP)servnobjm.o $(SOPHYAOBJP)userfitfunex.o
 	rm -f $(SOPHYALIBP)libPIext.a
  
-$(SOPHYALIBP)libPIext.a : $(SOPHYAOBJP)basexecut.o $(SOPHYAOBJP)contmodex.o $(SOPHYAOBJP)cxxexecutor.o $(SOPHYAOBJP)cxxexecwin.o $(SOPHYAOBJP)flowmodex.o $(SOPHYAOBJP)nobjmgr.o $(SOPHYAOBJP)nomgadapter.o $(SOPHYAOBJP)nomgfdadapter.o $(SOPHYAOBJP)nomhistadapter.o $(SOPHYAOBJP)nomimagadapter.o $(SOPHYAOBJP)nomskymapadapter.o $(SOPHYAOBJP)nomspecrespadapter.o $(SOPHYAOBJP)nomtarradapter.o $(SOPHYAOBJP)nomtmatvecadapter.o $(SOPHYAOBJP)pawexecut.o $(SOPHYAOBJP)pi2dvec.o $(SOPHYAOBJP)piacmd.o $(SOPHYAOBJP)piafitting.o $(SOPHYAOBJP)pigfd1.o $(SOPHYAOBJP)pigfd2.o $(SOPHYAOBJP)pihisto.o $(SOPHYAOBJP)pihisto2d.o $(SOPHYAOBJP)piinit.o $(SOPHYAOBJP)pintup3d.o $(SOPHYAOBJP)pintuple.o $(SOPHYAOBJP)pipodrw.o $(SOPHYAOBJP)pisiadw.o $(SOPHYAOBJP)pistdimgapp.o $(SOPHYAOBJP)pitvmaad.o $(SOPHYAOBJP)servnobjm.o
+$(SOPHYALIBP)libPIext.a : $(SOPHYAOBJP)basexecut.o $(SOPHYAOBJP)contmodex.o $(SOPHYAOBJP)cxxexecutor.o $(SOPHYAOBJP)cxxexecwin.o $(SOPHYAOBJP)flowmodex.o $(SOPHYAOBJP)graphexecut.o $(SOPHYAOBJP)nobjmgr.o $(SOPHYAOBJP)nomgadapter.o $(SOPHYAOBJP)nomgfdadapter.o $(SOPHYAOBJP)nomhistadapter.o $(SOPHYAOBJP)nomimagadapter.o $(SOPHYAOBJP)nomskymapadapter.o $(SOPHYAOBJP)nomspecrespadapter.o $(SOPHYAOBJP)nomtarradapter.o $(SOPHYAOBJP)nomtmatvecadapter.o $(SOPHYAOBJP)pawexecut.o $(SOPHYAOBJP)pi2dvec.o $(SOPHYAOBJP)piacmd.o $(SOPHYAOBJP)piafitting.o $(SOPHYAOBJP)pigfd1.o $(SOPHYAOBJP)pigfd2.o $(SOPHYAOBJP)pihisto.o $(SOPHYAOBJP)pihisto2d.o $(SOPHYAOBJP)piinit.o $(SOPHYAOBJP)pintup3d.o $(SOPHYAOBJP)pintuple.o $(SOPHYAOBJP)pipodrw.o $(SOPHYAOBJP)pisiadw.o $(SOPHYAOBJP)pistdimgapp.o $(SOPHYAOBJP)pitvmaad.o $(SOPHYAOBJP)servnobjm.o
 	$(AR) $(ARFLAGS) $@ $? 
 	touch $(SOPHYAINCP)/SophyaConfInfo/libPI.objlist
  
-$(SOPHYAOBJP)basexecut.o: basexecut.cc \
-  $(SOPHYAINCP)sopnamsp.h piacmd.h \
-  $(SOPHYAINCP)machdefs.h \
+$(SOPHYAOBJP)basexecut.o: basexecut.cc $(SOPHYAINCP)sopnamsp.h piacmd.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)osx_values.h \
   $(SOPHYAINCP)commander.h \
-  $(SOPHYAINCP)pdlmgr.h \
-  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)pdlmgr.h $(SOPHYAINCP)dvlist.h \
   $(SOPHYAINCP)objfio.h \
   $(SOPHYAINCP)anydataobj.h \
@@ -25,9 +25,8 @@
   $(SOPHYAINCP)rawstream.h \
   $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)ctimer.h \
-  $(SOPHYAINCP)zthread.h dlftypes.h \
-  basexecut.h $(SOPHYAINCP)strutilxx.h \
-  pistdimgapp.h $(SOPHYAINCP)pisysdep.h \
+  $(SOPHYAINCP)mutyv.h $(SOPHYAINCP)ctimer.h \
+  $(SOPHYAINCP)zthread.h dlftypes.h basexecut.h \
+  $(SOPHYAINCP)strutilxx.h pistdimgapp.h \
+  $(SOPHYAINCP)pisysdep.h \
   $(SOPHYAINCP)piapplx.h \
   $(SOPHYAINCP)piapplgen.h \
@@ -35,6 +34,5 @@
   $(SOPHYAINCP)picontainerx.h \
   $(SOPHYAINCP)picontainergen.h \
-  $(SOPHYAINCP)piwdgx.h \
-  $(SOPHYAINCP)piwdggen.h \
+  $(SOPHYAINCP)piwdgx.h $(SOPHYAINCP)piwdggen.h \
   $(SOPHYAINCP)picolist.h \
   $(SOPHYAINCP)pimenubarx.h \
@@ -47,6 +45,5 @@
   $(SOPHYAINCP)pibwdgx.h \
   $(SOPHYAINCP)pibwdggen.h \
-  $(SOPHYAINCP)picmap.h \
-  $(SOPHYAINCP)picmapx.h \
+  $(SOPHYAINCP)picmap.h $(SOPHYAINCP)picmapx.h \
   $(SOPHYAINCP)picmapgen.h \
   $(SOPHYAINCP)pigraphx.h \
@@ -69,50 +66,37 @@
   $(SOPHYAINCP)periodic.h \
   $(SOPHYAINCP)piimage.h \
-  $(SOPHYAINCP)parradapter.h \
-  $(SOPHYAINCP)lut.h \
+  $(SOPHYAINCP)parradapter.h $(SOPHYAINCP)lut.h \
   $(SOPHYAINCP)pieldrw.h \
   $(SOPHYAINCP)pidrawer.h \
-  $(SOPHYAINCP)pigratt.h \
-  $(SOPHYAINCP)piaxes.h \
+  $(SOPHYAINCP)pigratt.h $(SOPHYAINCP)piaxes.h \
   $(SOPHYAINCP)pipixmapx.h \
   $(SOPHYAINCP)pipixmapgen.h \
   $(SOPHYAINCP)picmapview.h \
-  $(SOPHYAINCP)pi3dwdg.h \
-  $(SOPHYAINCP)pi3ddrw.h \
-  $(SOPHYAINCP)pigraph3d.h nobjmgr.h \
-  pisiadw.h $(SOPHYAINCP)pilistx.h \
+  $(SOPHYAINCP)pi3dwdg.h $(SOPHYAINCP)pi3ddrw.h \
+  $(SOPHYAINCP)pigraph3d.h nobjmgr.h pisiadw.h \
+  $(SOPHYAINCP)pilistx.h \
   $(SOPHYAINCP)pilistgen.h \
   $(SOPHYAINCP)pistzwin.h \
   $(SOPHYAINCP)pitherm.h \
-  $(SOPHYAINCP)resusage.h servnobjm.h \
-  nomgadapter.h $(SOPHYAINCP)ntupintf.h \
+  $(SOPHYAINCP)resusage.h servnobjm.h nomgadapter.h \
+  $(SOPHYAINCP)ntupintf.h \
   $(SOPHYAINCP)generalfit.h \
-  $(SOPHYAINCP)tvector.h \
-  $(SOPHYAINCP)tmatrix.h \
-  $(SOPHYAINCP)tarray.h \
-  $(SOPHYAINCP)basarr.h \
-  $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)utilarr.h \
-  $(SOPHYAINCP)generaldata.h \
-  $(SOPHYAINCP)poly.h \
-  $(SOPHYAINCP)peida.h \
-  $(SOPHYAINCP)utils.h \
-  $(SOPHYAINCP)perrors.h \
-  $(SOPHYAINCP)fmath.h \
-  $(SOPHYAINCP)piyfxdrw.h \
-  $(SOPHYAINCP)pibargraph.h \
-  $(SOPHYAINCP)pitxtdrw.h \
-  $(SOPHYAINCP)histos.h \
-  $(SOPHYAINCP)histos2.h \
-  $(SOPHYAINCP)hisprof.h \
+  $(SOPHYAINCP)tvector.h $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h \
+  $(SOPHYAINCP)generaldata.h \
+  $(SOPHYAINCP)poly.h $(SOPHYAINCP)peida.h \
+  $(SOPHYAINCP)utils.h $(SOPHYAINCP)perrors.h \
+  $(SOPHYAINCP)fmath.h $(SOPHYAINCP)histos.h \
+  $(SOPHYAINCP)histos2.h $(SOPHYAINCP)hisprof.h \
   $(SOPHYAINCP)ntuple.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  basexecut.cc
  
-$(SOPHYAOBJP)contmodex.o: contmodex.cc \
-  $(SOPHYAINCP)sopnamsp.h contmodex.h \
-  $(SOPHYAINCP)machdefs.h piacmd.h \
+$(SOPHYAOBJP)contmodex.o: contmodex.cc $(SOPHYAINCP)sopnamsp.h \
+  contmodex.h $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)osx_values.h piacmd.h \
   $(SOPHYAINCP)commander.h \
-  $(SOPHYAINCP)pdlmgr.h \
-  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)pdlmgr.h $(SOPHYAINCP)dvlist.h \
   $(SOPHYAINCP)objfio.h \
   $(SOPHYAINCP)anydataobj.h \
@@ -123,6 +107,5 @@
   $(SOPHYAINCP)rawstream.h \
   $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)ctimer.h \
+  $(SOPHYAINCP)mutyv.h $(SOPHYAINCP)ctimer.h \
   $(SOPHYAINCP)zthread.h dlftypes.h nobjmgr.h \
   $(SOPHYAINCP)pigncont.h \
@@ -134,6 +117,5 @@
   $(SOPHYAINCP)picontainerx.h \
   $(SOPHYAINCP)picontainergen.h \
-  $(SOPHYAINCP)piwdgx.h \
-  $(SOPHYAINCP)piwdggen.h \
+  $(SOPHYAINCP)piwdgx.h $(SOPHYAINCP)piwdggen.h \
   $(SOPHYAINCP)picolist.h \
   $(SOPHYAINCP)pimenubarx.h \
@@ -146,6 +128,5 @@
   $(SOPHYAINCP)pibwdgx.h \
   $(SOPHYAINCP)pibwdggen.h \
-  $(SOPHYAINCP)picmap.h \
-  $(SOPHYAINCP)picmapx.h \
+  $(SOPHYAINCP)picmap.h $(SOPHYAINCP)picmapx.h \
   $(SOPHYAINCP)picmapgen.h \
   $(SOPHYAINCP)pigraphx.h \
@@ -168,20 +149,14 @@
   $(SOPHYAINCP)periodic.h \
   $(SOPHYAINCP)piimage.h \
-  $(SOPHYAINCP)parradapter.h \
-  $(SOPHYAINCP)lut.h \
+  $(SOPHYAINCP)parradapter.h $(SOPHYAINCP)lut.h \
   $(SOPHYAINCP)pieldrw.h \
   $(SOPHYAINCP)pidrawer.h \
-  $(SOPHYAINCP)pigratt.h \
-  $(SOPHYAINCP)piaxes.h \
+  $(SOPHYAINCP)pigratt.h $(SOPHYAINCP)piaxes.h \
   $(SOPHYAINCP)pipixmapx.h \
   $(SOPHYAINCP)pipixmapgen.h \
   $(SOPHYAINCP)picmapview.h \
-  $(SOPHYAINCP)pi3dwdg.h \
-  $(SOPHYAINCP)pi3ddrw.h \
+  $(SOPHYAINCP)pi3dwdg.h $(SOPHYAINCP)pi3ddrw.h \
   $(SOPHYAINCP)pigraph3d.h \
-  $(SOPHYAINCP)nobjmgr.h \
-  $(SOPHYAINCP)piacmd.h \
-  $(SOPHYAINCP)pisiadw.h \
-  $(SOPHYAINCP)pilistx.h \
+  $(SOPHYAINCP)pisiadw.h $(SOPHYAINCP)pilistx.h \
   $(SOPHYAINCP)pilistgen.h \
   $(SOPHYAINCP)pistzwin.h \
@@ -189,6 +164,5 @@
   $(SOPHYAINCP)resusage.h \
   $(SOPHYAINCP)piscdrawwdg.h \
-  $(SOPHYAINCP)ntuple.h \
-  $(SOPHYAINCP)ntupintf.h \
+  $(SOPHYAINCP)ntuple.h $(SOPHYAINCP)ntupintf.h \
   $(SOPHYAINCP)gp_contour.h \
   $(SOPHYAINCP)gp_types.h \
@@ -198,24 +172,19 @@
   $(SOPHYAINCP)gp_alloc.h nomgadapter.h \
   $(SOPHYAINCP)generalfit.h \
-  $(SOPHYAINCP)tvector.h \
-  $(SOPHYAINCP)tmatrix.h \
-  $(SOPHYAINCP)tarray.h \
-  $(SOPHYAINCP)basarr.h \
-  $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)utilarr.h \
-  $(SOPHYAINCP)generaldata.h \
-  $(SOPHYAINCP)poly.h \
-  $(SOPHYAINCP)peida.h \
-  $(SOPHYAINCP)utils.h \
-  $(SOPHYAINCP)perrors.h \
+  $(SOPHYAINCP)tvector.h $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h \
+  $(SOPHYAINCP)generaldata.h \
+  $(SOPHYAINCP)poly.h $(SOPHYAINCP)peida.h \
+  $(SOPHYAINCP)utils.h $(SOPHYAINCP)perrors.h \
   $(SOPHYAINCP)fmath.h servnobjm.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  contmodex.cc
  
-$(SOPHYAOBJP)cxxexecutor.o: cxxexecutor.cc \
-  $(SOPHYAINCP)sopnamsp.h cxxexecutor.h \
-  $(SOPHYAINCP)machdefs.h piacmd.h \
+$(SOPHYAOBJP)cxxexecutor.o: cxxexecutor.cc $(SOPHYAINCP)sopnamsp.h \
+  cxxexecutor.h $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)osx_values.h piacmd.h \
   $(SOPHYAINCP)commander.h \
-  $(SOPHYAINCP)pdlmgr.h \
-  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)pdlmgr.h $(SOPHYAINCP)dvlist.h \
   $(SOPHYAINCP)objfio.h \
   $(SOPHYAINCP)anydataobj.h \
@@ -226,6 +195,5 @@
   $(SOPHYAINCP)rawstream.h \
   $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)ctimer.h \
+  $(SOPHYAINCP)mutyv.h $(SOPHYAINCP)ctimer.h \
   $(SOPHYAINCP)zthread.h dlftypes.h nobjmgr.h \
   $(SOPHYAINCP)strutilxx.h \
@@ -233,10 +201,8 @@
   $(SOPHYAINCP)pidrawer.h \
   $(SOPHYAINCP)pibwdggen.h \
-  $(SOPHYAINCP)pisysdep.h \
-  $(SOPHYAINCP)piwdgx.h \
+  $(SOPHYAINCP)pisysdep.h $(SOPHYAINCP)piwdgx.h \
   $(SOPHYAINCP)piwdggen.h \
   $(SOPHYAINCP)pimsghandler.h \
-  $(SOPHYAINCP)picolist.h \
-  $(SOPHYAINCP)picmap.h \
+  $(SOPHYAINCP)picolist.h $(SOPHYAINCP)picmap.h \
   $(SOPHYAINCP)picmapx.h \
   $(SOPHYAINCP)picmapgen.h \
@@ -249,22 +215,16 @@
   $(SOPHYAINCP)pigraphuc.h \
   $(SOPHYAINCP)pievthandler.h \
-  $(SOPHYAINCP)psfile.h \
-  $(SOPHYAINCP)pigratt.h \
+  $(SOPHYAINCP)psfile.h $(SOPHYAINCP)pigratt.h \
   $(SOPHYAINCP)piaxes.h \
-  $(SOPHYAINCP)parradapter.h \
-  $(SOPHYAINCP)lut.h \
+  $(SOPHYAINCP)parradapter.h $(SOPHYAINCP)lut.h \
   $(SOPHYAINCP)ntupintf.h \
   $(SOPHYAINCP)generalfit.h \
-  $(SOPHYAINCP)tvector.h \
-  $(SOPHYAINCP)tmatrix.h \
-  $(SOPHYAINCP)tarray.h \
-  $(SOPHYAINCP)basarr.h \
-  $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)utilarr.h \
-  $(SOPHYAINCP)generaldata.h \
-  $(SOPHYAINCP)poly.h \
-  $(SOPHYAINCP)peida.h \
-  $(SOPHYAINCP)utils.h \
-  $(SOPHYAINCP)perrors.h \
+  $(SOPHYAINCP)tvector.h $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h \
+  $(SOPHYAINCP)generaldata.h \
+  $(SOPHYAINCP)poly.h $(SOPHYAINCP)peida.h \
+  $(SOPHYAINCP)utils.h $(SOPHYAINCP)perrors.h \
   $(SOPHYAINCP)fmath.h pistdimgapp.h \
   $(SOPHYAINCP)piapplx.h \
@@ -289,11 +249,9 @@
   $(SOPHYAINCP)piperiodx.h \
   $(SOPHYAINCP)periodic.h \
-  $(SOPHYAINCP)piimage.h \
-  $(SOPHYAINCP)pieldrw.h \
+  $(SOPHYAINCP)piimage.h $(SOPHYAINCP)pieldrw.h \
   $(SOPHYAINCP)pipixmapx.h \
   $(SOPHYAINCP)pipixmapgen.h \
   $(SOPHYAINCP)picmapview.h \
-  $(SOPHYAINCP)pi3dwdg.h \
-  $(SOPHYAINCP)pi3ddrw.h \
+  $(SOPHYAINCP)pi3dwdg.h $(SOPHYAINCP)pi3ddrw.h \
   $(SOPHYAINCP)pigraph3d.h pisiadw.h \
   $(SOPHYAINCP)pilistx.h \
@@ -304,10 +262,9 @@
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  cxxexecutor.cc
  
-$(SOPHYAOBJP)cxxexecwin.o: cxxexecwin.cc \
-  $(SOPHYAINCP)sopnamsp.h cxxexecutor.h \
-  $(SOPHYAINCP)machdefs.h piacmd.h \
+$(SOPHYAOBJP)cxxexecwin.o: cxxexecwin.cc $(SOPHYAINCP)sopnamsp.h \
+  cxxexecutor.h $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)osx_values.h piacmd.h \
   $(SOPHYAINCP)commander.h \
-  $(SOPHYAINCP)pdlmgr.h \
-  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)pdlmgr.h $(SOPHYAINCP)dvlist.h \
   $(SOPHYAINCP)objfio.h \
   $(SOPHYAINCP)anydataobj.h \
@@ -318,15 +275,13 @@
   $(SOPHYAINCP)rawstream.h \
   $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)ctimer.h \
-  $(SOPHYAINCP)zthread.h dlftypes.h nobjmgr.h \
-  cxxexecwin.h $(SOPHYAINCP)pisysdep.h \
-  pistdimgapp.h $(SOPHYAINCP)piapplx.h \
+  $(SOPHYAINCP)mutyv.h $(SOPHYAINCP)ctimer.h \
+  $(SOPHYAINCP)zthread.h dlftypes.h nobjmgr.h cxxexecwin.h \
+  $(SOPHYAINCP)pisysdep.h pistdimgapp.h \
+  $(SOPHYAINCP)piapplx.h \
   $(SOPHYAINCP)piapplgen.h \
   $(SOPHYAINCP)pimsghandler.h \
   $(SOPHYAINCP)picontainerx.h \
   $(SOPHYAINCP)picontainergen.h \
-  $(SOPHYAINCP)piwdgx.h \
-  $(SOPHYAINCP)piwdggen.h \
+  $(SOPHYAINCP)piwdgx.h $(SOPHYAINCP)piwdggen.h \
   $(SOPHYAINCP)picolist.h \
   $(SOPHYAINCP)pimenubarx.h \
@@ -339,6 +294,5 @@
   $(SOPHYAINCP)pibwdgx.h \
   $(SOPHYAINCP)pibwdggen.h \
-  $(SOPHYAINCP)picmap.h \
-  $(SOPHYAINCP)picmapx.h \
+  $(SOPHYAINCP)picmap.h $(SOPHYAINCP)picmapx.h \
   $(SOPHYAINCP)picmapgen.h \
   $(SOPHYAINCP)pigraphx.h \
@@ -361,15 +315,12 @@
   $(SOPHYAINCP)periodic.h \
   $(SOPHYAINCP)piimage.h \
-  $(SOPHYAINCP)parradapter.h \
-  $(SOPHYAINCP)lut.h \
+  $(SOPHYAINCP)parradapter.h $(SOPHYAINCP)lut.h \
   $(SOPHYAINCP)pieldrw.h \
   $(SOPHYAINCP)pidrawer.h \
-  $(SOPHYAINCP)pigratt.h \
-  $(SOPHYAINCP)piaxes.h \
+  $(SOPHYAINCP)pigratt.h $(SOPHYAINCP)piaxes.h \
   $(SOPHYAINCP)pipixmapx.h \
   $(SOPHYAINCP)pipixmapgen.h \
   $(SOPHYAINCP)picmapview.h \
-  $(SOPHYAINCP)pi3dwdg.h \
-  $(SOPHYAINCP)pi3ddrw.h \
+  $(SOPHYAINCP)pi3dwdg.h $(SOPHYAINCP)pi3ddrw.h \
   $(SOPHYAINCP)pigraph3d.h pisiadw.h \
   $(SOPHYAINCP)pilistx.h \
@@ -380,10 +331,9 @@
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  cxxexecwin.cc
  
-$(SOPHYAOBJP)flowmodex.o: flowmodex.cc \
-  $(SOPHYAINCP)sopnamsp.h flowmodex.h \
-  $(SOPHYAINCP)machdefs.h piacmd.h \
+$(SOPHYAOBJP)flowmodex.o: flowmodex.cc $(SOPHYAINCP)sopnamsp.h \
+  flowmodex.h $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)osx_values.h piacmd.h \
   $(SOPHYAINCP)commander.h \
-  $(SOPHYAINCP)pdlmgr.h \
-  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)pdlmgr.h $(SOPHYAINCP)dvlist.h \
   $(SOPHYAINCP)objfio.h \
   $(SOPHYAINCP)anydataobj.h \
@@ -394,9 +344,7 @@
   $(SOPHYAINCP)rawstream.h \
   $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)ctimer.h \
-  $(SOPHYAINCP)zthread.h dlftypes.h nobjmgr.h \
-  pi2dvec.h pistdimgapp.h \
-  $(SOPHYAINCP)pisysdep.h \
+  $(SOPHYAINCP)mutyv.h $(SOPHYAINCP)ctimer.h \
+  $(SOPHYAINCP)zthread.h dlftypes.h nobjmgr.h pi2dvec.h \
+  pistdimgapp.h $(SOPHYAINCP)pisysdep.h \
   $(SOPHYAINCP)piapplx.h \
   $(SOPHYAINCP)piapplgen.h \
@@ -404,6 +352,5 @@
   $(SOPHYAINCP)picontainerx.h \
   $(SOPHYAINCP)picontainergen.h \
-  $(SOPHYAINCP)piwdgx.h \
-  $(SOPHYAINCP)piwdggen.h \
+  $(SOPHYAINCP)piwdgx.h $(SOPHYAINCP)piwdggen.h \
   $(SOPHYAINCP)picolist.h \
   $(SOPHYAINCP)pimenubarx.h \
@@ -416,6 +363,5 @@
   $(SOPHYAINCP)pibwdgx.h \
   $(SOPHYAINCP)pibwdggen.h \
-  $(SOPHYAINCP)picmap.h \
-  $(SOPHYAINCP)picmapx.h \
+  $(SOPHYAINCP)picmap.h $(SOPHYAINCP)picmapx.h \
   $(SOPHYAINCP)picmapgen.h \
   $(SOPHYAINCP)pigraphx.h \
@@ -438,15 +384,12 @@
   $(SOPHYAINCP)periodic.h \
   $(SOPHYAINCP)piimage.h \
-  $(SOPHYAINCP)parradapter.h \
-  $(SOPHYAINCP)lut.h \
+  $(SOPHYAINCP)parradapter.h $(SOPHYAINCP)lut.h \
   $(SOPHYAINCP)pieldrw.h \
   $(SOPHYAINCP)pidrawer.h \
-  $(SOPHYAINCP)pigratt.h \
-  $(SOPHYAINCP)piaxes.h \
+  $(SOPHYAINCP)pigratt.h $(SOPHYAINCP)piaxes.h \
   $(SOPHYAINCP)pipixmapx.h \
   $(SOPHYAINCP)pipixmapgen.h \
   $(SOPHYAINCP)picmapview.h \
-  $(SOPHYAINCP)pi3dwdg.h \
-  $(SOPHYAINCP)pi3ddrw.h \
+  $(SOPHYAINCP)pi3dwdg.h $(SOPHYAINCP)pi3ddrw.h \
   $(SOPHYAINCP)pigraph3d.h pisiadw.h \
   $(SOPHYAINCP)pilistx.h \
@@ -456,25 +399,103 @@
   $(SOPHYAINCP)resusage.h \
   $(SOPHYAINCP)piscdrawwdg.h \
-  $(SOPHYAINCP)ntupintf.h \
-  $(SOPHYAINCP)ntuple.h nomgadapter.h \
-  $(SOPHYAINCP)generalfit.h \
-  $(SOPHYAINCP)tvector.h \
-  $(SOPHYAINCP)tmatrix.h \
-  $(SOPHYAINCP)tarray.h \
-  $(SOPHYAINCP)basarr.h \
-  $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)utilarr.h \
-  $(SOPHYAINCP)generaldata.h \
-  $(SOPHYAINCP)poly.h \
-  $(SOPHYAINCP)peida.h \
-  $(SOPHYAINCP)utils.h \
-  $(SOPHYAINCP)perrors.h \
+  $(SOPHYAINCP)ntupintf.h $(SOPHYAINCP)ntuple.h \
+  nomgadapter.h $(SOPHYAINCP)generalfit.h \
+  $(SOPHYAINCP)tvector.h $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h \
+  $(SOPHYAINCP)generaldata.h \
+  $(SOPHYAINCP)poly.h $(SOPHYAINCP)peida.h \
+  $(SOPHYAINCP)utils.h $(SOPHYAINCP)perrors.h \
   $(SOPHYAINCP)fmath.h servnobjm.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  flowmodex.cc
+ 
+$(SOPHYAOBJP)graphexecut.o: graphexecut.cc $(SOPHYAINCP)sopnamsp.h \
+  piacmd.h $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)osx_values.h \
+  $(SOPHYAINCP)commander.h \
+  $(SOPHYAINCP)pdlmgr.h $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)mutyv.h $(SOPHYAINCP)ctimer.h \
+  $(SOPHYAINCP)zthread.h dlftypes.h graphexecut.h \
+  $(SOPHYAINCP)strutilxx.h pistdimgapp.h \
+  $(SOPHYAINCP)pisysdep.h \
+  $(SOPHYAINCP)piapplx.h \
+  $(SOPHYAINCP)piapplgen.h \
+  $(SOPHYAINCP)pimsghandler.h \
+  $(SOPHYAINCP)picontainerx.h \
+  $(SOPHYAINCP)picontainergen.h \
+  $(SOPHYAINCP)piwdgx.h $(SOPHYAINCP)piwdggen.h \
+  $(SOPHYAINCP)picolist.h \
+  $(SOPHYAINCP)pimenubarx.h \
+  $(SOPHYAINCP)pimenubargen.h \
+  $(SOPHYAINCP)pimenux.h \
+  $(SOPHYAINCP)pimenugen.h \
+  $(SOPHYAINCP)picons.h \
+  $(SOPHYAINCP)pistdwdgx.h \
+  $(SOPHYAINCP)pistdwdggen.h \
+  $(SOPHYAINCP)pibwdgx.h \
+  $(SOPHYAINCP)pibwdggen.h \
+  $(SOPHYAINCP)picmap.h $(SOPHYAINCP)picmapx.h \
+  $(SOPHYAINCP)picmapgen.h \
+  $(SOPHYAINCP)pigraphx.h \
+  $(SOPHYAINCP)pigraphgen.h \
+  $(SOPHYAINCP)pifontx.h \
+  $(SOPHYAINCP)pifontgen.h \
+  $(SOPHYAINCP)pigrcoord.h \
+  $(SOPHYAINCP)pilineatt.h \
+  $(SOPHYAINCP)pigraphuc.h \
+  $(SOPHYAINCP)pievthandler.h \
+  $(SOPHYAINCP)psfile.h \
+  $(SOPHYAINCP)pigraphps.h \
+  $(SOPHYAINCP)piwindowx.h \
+  $(SOPHYAINCP)piwindowgen.h \
+  $(SOPHYAINCP)pioptmenux.h \
+  $(SOPHYAINCP)pioptmenugen.h \
+  $(SOPHYAINCP)pifilechox.h \
+  $(SOPHYAINCP)pifilechogen.h \
+  $(SOPHYAINCP)piperiodx.h \
+  $(SOPHYAINCP)periodic.h \
+  $(SOPHYAINCP)piimage.h \
+  $(SOPHYAINCP)parradapter.h $(SOPHYAINCP)lut.h \
+  $(SOPHYAINCP)pieldrw.h \
+  $(SOPHYAINCP)pidrawer.h \
+  $(SOPHYAINCP)pigratt.h $(SOPHYAINCP)piaxes.h \
+  $(SOPHYAINCP)pipixmapx.h \
+  $(SOPHYAINCP)pipixmapgen.h \
+  $(SOPHYAINCP)picmapview.h \
+  $(SOPHYAINCP)pi3dwdg.h $(SOPHYAINCP)pi3ddrw.h \
+  $(SOPHYAINCP)pigraph3d.h nobjmgr.h pisiadw.h \
+  $(SOPHYAINCP)pilistx.h \
+  $(SOPHYAINCP)pilistgen.h \
+  $(SOPHYAINCP)pistzwin.h \
+  $(SOPHYAINCP)pitherm.h \
+  $(SOPHYAINCP)resusage.h nomgadapter.h \
+  $(SOPHYAINCP)ntupintf.h \
+  $(SOPHYAINCP)generalfit.h \
+  $(SOPHYAINCP)tvector.h $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h \
+  $(SOPHYAINCP)generaldata.h \
+  $(SOPHYAINCP)poly.h $(SOPHYAINCP)peida.h \
+  $(SOPHYAINCP)utils.h $(SOPHYAINCP)perrors.h \
+  $(SOPHYAINCP)fmath.h $(SOPHYAINCP)piyfxdrw.h \
+  $(SOPHYAINCP)pibargraph.h \
+  $(SOPHYAINCP)pitxtdrw.h
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  graphexecut.cc
  
 $(SOPHYAOBJP)nobjmgr.o: nobjmgr.cc $(SOPHYAINCP)sopnamsp.h \
   $(SOPHYAINCP)strutil.h \
   $(SOPHYAINCP)datatypes.h \
-  $(SOPHYAINCP)machdefs.h nobjmgr.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)osx_values.h nobjmgr.h \
   $(SOPHYAINCP)anydataobj.h \
   $(SOPHYAINCP)ppersist.h \
@@ -484,17 +505,13 @@
   $(SOPHYAINCP)rawstream.h \
   $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)dvlist.h $(SOPHYAINCP)objfio.h \
   $(SOPHYAINCP)mutyv.h dlftypes.h servnobjm.h \
-  $(SOPHYAINCP)pdlmgr.h \
-  $(SOPHYAINCP)zthread.h nomgadapter.h \
-  $(SOPHYAINCP)pidrawer.h \
-  $(SOPHYAINCP)pibwdggen.h \
-  $(SOPHYAINCP)pisysdep.h \
-  $(SOPHYAINCP)piwdgx.h \
+  $(SOPHYAINCP)pdlmgr.h $(SOPHYAINCP)zthread.h \
+  nomgadapter.h $(SOPHYAINCP)pidrawer.h \
+  $(SOPHYAINCP)pibwdggen.h \
+  $(SOPHYAINCP)pisysdep.h $(SOPHYAINCP)piwdgx.h \
   $(SOPHYAINCP)piwdggen.h \
   $(SOPHYAINCP)pimsghandler.h \
-  $(SOPHYAINCP)picolist.h \
-  $(SOPHYAINCP)picmap.h \
+  $(SOPHYAINCP)picolist.h $(SOPHYAINCP)picmap.h \
   $(SOPHYAINCP)picmapx.h \
   $(SOPHYAINCP)picmapgen.h \
@@ -507,22 +524,16 @@
   $(SOPHYAINCP)pigraphuc.h \
   $(SOPHYAINCP)pievthandler.h \
-  $(SOPHYAINCP)psfile.h \
-  $(SOPHYAINCP)pigratt.h \
+  $(SOPHYAINCP)psfile.h $(SOPHYAINCP)pigratt.h \
   $(SOPHYAINCP)piaxes.h \
-  $(SOPHYAINCP)parradapter.h \
-  $(SOPHYAINCP)lut.h \
+  $(SOPHYAINCP)parradapter.h $(SOPHYAINCP)lut.h \
   $(SOPHYAINCP)ntupintf.h \
   $(SOPHYAINCP)generalfit.h \
-  $(SOPHYAINCP)tvector.h \
-  $(SOPHYAINCP)tmatrix.h \
-  $(SOPHYAINCP)tarray.h \
-  $(SOPHYAINCP)basarr.h \
-  $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)utilarr.h \
-  $(SOPHYAINCP)generaldata.h \
-  $(SOPHYAINCP)poly.h \
-  $(SOPHYAINCP)peida.h \
-  $(SOPHYAINCP)utils.h \
-  $(SOPHYAINCP)perrors.h \
+  $(SOPHYAINCP)tvector.h $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h \
+  $(SOPHYAINCP)generaldata.h \
+  $(SOPHYAINCP)poly.h $(SOPHYAINCP)peida.h \
+  $(SOPHYAINCP)utils.h $(SOPHYAINCP)perrors.h \
   $(SOPHYAINCP)fmath.h pistdimgapp.h \
   $(SOPHYAINCP)piapplx.h \
@@ -547,11 +558,9 @@
   $(SOPHYAINCP)piperiodx.h \
   $(SOPHYAINCP)periodic.h \
-  $(SOPHYAINCP)piimage.h \
-  $(SOPHYAINCP)pieldrw.h \
+  $(SOPHYAINCP)piimage.h $(SOPHYAINCP)pieldrw.h \
   $(SOPHYAINCP)pipixmapx.h \
   $(SOPHYAINCP)pipixmapgen.h \
   $(SOPHYAINCP)picmapview.h \
-  $(SOPHYAINCP)pi3dwdg.h \
-  $(SOPHYAINCP)pi3ddrw.h \
+  $(SOPHYAINCP)pi3dwdg.h $(SOPHYAINCP)pi3ddrw.h \
   $(SOPHYAINCP)pigraph3d.h piacmd.h \
   $(SOPHYAINCP)commander.h \
@@ -587,12 +596,11 @@
   $(SOPHYAINCP)piyfxdrw.h \
   $(SOPHYAINCP)pisurfdr.h pipodrw.h \
-  $(SOPHYAINCP)histos2.h \
-  $(SOPHYAINCP)histos.h pintuple.h pintup3d.h \
-  pigfd1.h pigfd2.h
+  $(SOPHYAINCP)histos2.h $(SOPHYAINCP)histos.h \
+  pintuple.h pintup3d.h pigfd1.h pigfd2.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  nobjmgr.cc
  
-$(SOPHYAOBJP)nomgadapter.o: nomgadapter.cc \
-  $(SOPHYAINCP)sopnamsp.h \
-  $(SOPHYAINCP)machdefs.h nomgadapter.h \
+$(SOPHYAOBJP)nomgadapter.o: nomgadapter.cc $(SOPHYAINCP)sopnamsp.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)osx_values.h nomgadapter.h \
   $(SOPHYAINCP)ppersist.h \
   $(SOPHYAINCP)pexceptions.h \
@@ -604,10 +612,8 @@
   $(SOPHYAINCP)pidrawer.h \
   $(SOPHYAINCP)pibwdggen.h \
-  $(SOPHYAINCP)pisysdep.h \
-  $(SOPHYAINCP)piwdgx.h \
+  $(SOPHYAINCP)pisysdep.h $(SOPHYAINCP)piwdgx.h \
   $(SOPHYAINCP)piwdggen.h \
   $(SOPHYAINCP)pimsghandler.h \
-  $(SOPHYAINCP)picolist.h \
-  $(SOPHYAINCP)picmap.h \
+  $(SOPHYAINCP)picolist.h $(SOPHYAINCP)picmap.h \
   $(SOPHYAINCP)picmapx.h \
   $(SOPHYAINCP)picmapgen.h \
@@ -620,46 +626,37 @@
   $(SOPHYAINCP)pigraphuc.h \
   $(SOPHYAINCP)pievthandler.h \
-  $(SOPHYAINCP)psfile.h \
-  $(SOPHYAINCP)pigratt.h \
+  $(SOPHYAINCP)psfile.h $(SOPHYAINCP)pigratt.h \
   $(SOPHYAINCP)piaxes.h \
-  $(SOPHYAINCP)parradapter.h \
-  $(SOPHYAINCP)lut.h \
+  $(SOPHYAINCP)parradapter.h $(SOPHYAINCP)lut.h \
   $(SOPHYAINCP)ntupintf.h \
   $(SOPHYAINCP)generalfit.h \
-  $(SOPHYAINCP)tvector.h \
-  $(SOPHYAINCP)tmatrix.h \
-  $(SOPHYAINCP)tarray.h \
-  $(SOPHYAINCP)basarr.h \
-  $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)tvector.h $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)mutyv.h $(SOPHYAINCP)dvlist.h \
   $(SOPHYAINCP)objfio.h \
   $(SOPHYAINCP)ndatablock.h \
   $(SOPHYAINCP)utilarr.h \
   $(SOPHYAINCP)generaldata.h \
-  $(SOPHYAINCP)poly.h \
-  $(SOPHYAINCP)peida.h \
-  $(SOPHYAINCP)utils.h \
-  $(SOPHYAINCP)perrors.h \
+  $(SOPHYAINCP)poly.h $(SOPHYAINCP)peida.h \
+  $(SOPHYAINCP)utils.h $(SOPHYAINCP)perrors.h \
   $(SOPHYAINCP)fmath.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  nomgadapter.cc
  
-$(SOPHYAOBJP)nomgfdadapter.o: nomgfdadapter.cc \
-  $(SOPHYAINCP)sopnamsp.h \
-  $(SOPHYAINCP)machdefs.h nomgfdadapter.h \
-  nomgadapter.h $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)pidrawer.h \
-  $(SOPHYAINCP)pibwdggen.h \
-  $(SOPHYAINCP)pisysdep.h \
-  $(SOPHYAINCP)piwdgx.h \
+$(SOPHYAOBJP)nomgfdadapter.o: nomgfdadapter.cc $(SOPHYAINCP)sopnamsp.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)osx_values.h nomgfdadapter.h nomgadapter.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)pidrawer.h \
+  $(SOPHYAINCP)pibwdggen.h \
+  $(SOPHYAINCP)pisysdep.h $(SOPHYAINCP)piwdgx.h \
   $(SOPHYAINCP)piwdggen.h \
   $(SOPHYAINCP)pimsghandler.h \
-  $(SOPHYAINCP)picolist.h \
-  $(SOPHYAINCP)picmap.h \
+  $(SOPHYAINCP)picolist.h $(SOPHYAINCP)picmap.h \
   $(SOPHYAINCP)picmapx.h \
   $(SOPHYAINCP)picmapgen.h \
@@ -672,52 +669,41 @@
   $(SOPHYAINCP)pigraphuc.h \
   $(SOPHYAINCP)pievthandler.h \
-  $(SOPHYAINCP)psfile.h \
-  $(SOPHYAINCP)pigratt.h \
+  $(SOPHYAINCP)psfile.h $(SOPHYAINCP)pigratt.h \
   $(SOPHYAINCP)piaxes.h \
-  $(SOPHYAINCP)parradapter.h \
-  $(SOPHYAINCP)lut.h \
+  $(SOPHYAINCP)parradapter.h $(SOPHYAINCP)lut.h \
   $(SOPHYAINCP)ntupintf.h \
   $(SOPHYAINCP)generalfit.h \
-  $(SOPHYAINCP)tvector.h \
-  $(SOPHYAINCP)tmatrix.h \
-  $(SOPHYAINCP)tarray.h \
-  $(SOPHYAINCP)basarr.h \
-  $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)tvector.h $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)mutyv.h $(SOPHYAINCP)dvlist.h \
   $(SOPHYAINCP)objfio.h \
   $(SOPHYAINCP)ndatablock.h \
   $(SOPHYAINCP)utilarr.h \
   $(SOPHYAINCP)generaldata.h \
-  $(SOPHYAINCP)poly.h \
-  $(SOPHYAINCP)peida.h \
-  $(SOPHYAINCP)utils.h \
-  $(SOPHYAINCP)perrors.h \
+  $(SOPHYAINCP)poly.h $(SOPHYAINCP)peida.h \
+  $(SOPHYAINCP)utils.h $(SOPHYAINCP)perrors.h \
   $(SOPHYAINCP)fmath.h pipodrw.h \
-  $(SOPHYAINCP)histos2.h \
-  $(SOPHYAINCP)histos.h \
+  $(SOPHYAINCP)histos2.h $(SOPHYAINCP)histos.h \
   $(SOPHYAINCP)objfitter.h \
-  $(SOPHYAINCP)cimage.h \
-  $(SOPHYAINCP)fioarr.h \
+  $(SOPHYAINCP)cimage.h $(SOPHYAINCP)fioarr.h \
   $(SOPHYAINCP)hisprof.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  nomgfdadapter.cc
  
-$(SOPHYAOBJP)nomhistadapter.o: nomhistadapter.cc \
-  $(SOPHYAINCP)sopnamsp.h \
-  $(SOPHYAINCP)machdefs.h nomhistadapter.h \
-  nomgadapter.h $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)pidrawer.h \
-  $(SOPHYAINCP)pibwdggen.h \
-  $(SOPHYAINCP)pisysdep.h \
-  $(SOPHYAINCP)piwdgx.h \
+$(SOPHYAOBJP)nomhistadapter.o: nomhistadapter.cc $(SOPHYAINCP)sopnamsp.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)osx_values.h nomhistadapter.h nomgadapter.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)pidrawer.h \
+  $(SOPHYAINCP)pibwdggen.h \
+  $(SOPHYAINCP)pisysdep.h $(SOPHYAINCP)piwdgx.h \
   $(SOPHYAINCP)piwdggen.h \
   $(SOPHYAINCP)pimsghandler.h \
-  $(SOPHYAINCP)picolist.h \
-  $(SOPHYAINCP)picmap.h \
+  $(SOPHYAINCP)picolist.h $(SOPHYAINCP)picmap.h \
   $(SOPHYAINCP)picmapx.h \
   $(SOPHYAINCP)picmapgen.h \
@@ -730,35 +716,25 @@
   $(SOPHYAINCP)pigraphuc.h \
   $(SOPHYAINCP)pievthandler.h \
-  $(SOPHYAINCP)psfile.h \
-  $(SOPHYAINCP)pigratt.h \
+  $(SOPHYAINCP)psfile.h $(SOPHYAINCP)pigratt.h \
   $(SOPHYAINCP)piaxes.h \
-  $(SOPHYAINCP)parradapter.h \
-  $(SOPHYAINCP)lut.h \
+  $(SOPHYAINCP)parradapter.h $(SOPHYAINCP)lut.h \
   $(SOPHYAINCP)ntupintf.h \
   $(SOPHYAINCP)generalfit.h \
-  $(SOPHYAINCP)tvector.h \
-  $(SOPHYAINCP)tmatrix.h \
-  $(SOPHYAINCP)tarray.h \
-  $(SOPHYAINCP)basarr.h \
-  $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)tvector.h $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)mutyv.h $(SOPHYAINCP)dvlist.h \
   $(SOPHYAINCP)objfio.h \
   $(SOPHYAINCP)ndatablock.h \
   $(SOPHYAINCP)utilarr.h \
   $(SOPHYAINCP)generaldata.h \
-  $(SOPHYAINCP)poly.h \
-  $(SOPHYAINCP)peida.h \
-  $(SOPHYAINCP)utils.h \
-  $(SOPHYAINCP)perrors.h \
-  $(SOPHYAINCP)fmath.h \
-  $(SOPHYAINCP)histos.h \
-  $(SOPHYAINCP)histos2.h \
-  $(SOPHYAINCP)hisprof.h \
-  $(SOPHYAINCP)histerr.h \
-  $(SOPHYAINCP)ntuple.h \
+  $(SOPHYAINCP)poly.h $(SOPHYAINCP)peida.h \
+  $(SOPHYAINCP)utils.h $(SOPHYAINCP)perrors.h \
+  $(SOPHYAINCP)fmath.h $(SOPHYAINCP)histos.h \
+  $(SOPHYAINCP)histos2.h $(SOPHYAINCP)hisprof.h \
+  $(SOPHYAINCP)histerr.h $(SOPHYAINCP)ntuple.h \
   $(SOPHYAINCP)xntuple.h \
   $(SOPHYAINCP)basedtable.h \
-  $(SOPHYAINCP)segdatablock.h pihisto.h \
-  pihisto2d.h $(SOPHYAINCP)pimenux.h \
+  $(SOPHYAINCP)segdatablock.h pihisto.h pihisto2d.h \
+  $(SOPHYAINCP)pimenux.h \
   $(SOPHYAINCP)pimenugen.h \
   $(SOPHYAINCP)pimenubarx.h \
@@ -775,11 +751,9 @@
   $(SOPHYAINCP)picontainerx.h \
   $(SOPHYAINCP)picontainergen.h \
-  $(SOPHYAINCP)pieldrw.h pipodrw.h \
-  servnobjm.h nobjmgr.h dlftypes.h \
-  $(SOPHYAINCP)pdlmgr.h \
+  $(SOPHYAINCP)pieldrw.h pipodrw.h servnobjm.h nobjmgr.h \
+  dlftypes.h $(SOPHYAINCP)pdlmgr.h \
   $(SOPHYAINCP)zthread.h \
   $(SOPHYAINCP)objfitter.h \
-  $(SOPHYAINCP)cimage.h \
-  $(SOPHYAINCP)fioarr.h \
+  $(SOPHYAINCP)cimage.h $(SOPHYAINCP)fioarr.h \
   $(SOPHYAINCP)fitsntuple.h \
   $(SOPHYAINCP)fitsfile.h \
@@ -794,23 +768,21 @@
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  nomhistadapter.cc
  
-$(SOPHYAOBJP)nomimagadapter.o: nomimagadapter.cc \
-  $(SOPHYAINCP)sopnamsp.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)datatype.h nomimagadapter.h \
-  nomgadapter.h $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)pidrawer.h \
-  $(SOPHYAINCP)pibwdggen.h \
-  $(SOPHYAINCP)pisysdep.h \
-  $(SOPHYAINCP)piwdgx.h \
+$(SOPHYAOBJP)nomimagadapter.o: nomimagadapter.cc $(SOPHYAINCP)sopnamsp.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)osx_values.h \
+  $(SOPHYAINCP)datatype.h nomimagadapter.h nomgadapter.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)pidrawer.h \
+  $(SOPHYAINCP)pibwdggen.h \
+  $(SOPHYAINCP)pisysdep.h $(SOPHYAINCP)piwdgx.h \
   $(SOPHYAINCP)piwdggen.h \
   $(SOPHYAINCP)pimsghandler.h \
-  $(SOPHYAINCP)picolist.h \
-  $(SOPHYAINCP)picmap.h \
+  $(SOPHYAINCP)picolist.h $(SOPHYAINCP)picmap.h \
   $(SOPHYAINCP)picmapx.h \
   $(SOPHYAINCP)picmapgen.h \
@@ -823,31 +795,22 @@
   $(SOPHYAINCP)pigraphuc.h \
   $(SOPHYAINCP)pievthandler.h \
-  $(SOPHYAINCP)psfile.h \
-  $(SOPHYAINCP)pigratt.h \
+  $(SOPHYAINCP)psfile.h $(SOPHYAINCP)pigratt.h \
   $(SOPHYAINCP)piaxes.h \
-  $(SOPHYAINCP)parradapter.h \
-  $(SOPHYAINCP)lut.h \
+  $(SOPHYAINCP)parradapter.h $(SOPHYAINCP)lut.h \
   $(SOPHYAINCP)ntupintf.h \
   $(SOPHYAINCP)generalfit.h \
-  $(SOPHYAINCP)tvector.h \
-  $(SOPHYAINCP)tmatrix.h \
-  $(SOPHYAINCP)tarray.h \
-  $(SOPHYAINCP)basarr.h \
-  $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)tvector.h $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)mutyv.h $(SOPHYAINCP)dvlist.h \
   $(SOPHYAINCP)objfio.h \
   $(SOPHYAINCP)ndatablock.h \
   $(SOPHYAINCP)utilarr.h \
   $(SOPHYAINCP)generaldata.h \
-  $(SOPHYAINCP)poly.h \
-  $(SOPHYAINCP)peida.h \
-  $(SOPHYAINCP)utils.h \
-  $(SOPHYAINCP)perrors.h \
-  $(SOPHYAINCP)fmath.h \
-  $(SOPHYAINCP)cimage.h \
+  $(SOPHYAINCP)poly.h $(SOPHYAINCP)peida.h \
+  $(SOPHYAINCP)utils.h $(SOPHYAINCP)perrors.h \
+  $(SOPHYAINCP)fmath.h $(SOPHYAINCP)cimage.h \
   $(SOPHYAINCP)fioarr.h pimgadapter.h \
   $(SOPHYAINCP)objfitter.h \
-  $(SOPHYAINCP)histos.h \
-  $(SOPHYAINCP)histos2.h \
+  $(SOPHYAINCP)histos.h $(SOPHYAINCP)histos2.h \
   $(SOPHYAINCP)hisprof.h \
   $(SOPHYAINCP)fitstarray.h \
@@ -860,20 +823,19 @@
   $(SOPHYAINCP)sopnamsp.h \
   $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)datatype.h nomskymapadapter.h \
-  nomgadapter.h $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)pidrawer.h \
-  $(SOPHYAINCP)pibwdggen.h \
-  $(SOPHYAINCP)pisysdep.h \
-  $(SOPHYAINCP)piwdgx.h \
+  $(SOPHYAINCP)osx_values.h \
+  $(SOPHYAINCP)datatype.h nomskymapadapter.h nomgadapter.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)pidrawer.h \
+  $(SOPHYAINCP)pibwdggen.h \
+  $(SOPHYAINCP)pisysdep.h $(SOPHYAINCP)piwdgx.h \
   $(SOPHYAINCP)piwdggen.h \
   $(SOPHYAINCP)pimsghandler.h \
-  $(SOPHYAINCP)picolist.h \
-  $(SOPHYAINCP)picmap.h \
+  $(SOPHYAINCP)picolist.h $(SOPHYAINCP)picmap.h \
   $(SOPHYAINCP)picmapx.h \
   $(SOPHYAINCP)picmapgen.h \
@@ -886,33 +848,24 @@
   $(SOPHYAINCP)pigraphuc.h \
   $(SOPHYAINCP)pievthandler.h \
-  $(SOPHYAINCP)psfile.h \
-  $(SOPHYAINCP)pigratt.h \
+  $(SOPHYAINCP)psfile.h $(SOPHYAINCP)pigratt.h \
   $(SOPHYAINCP)piaxes.h \
-  $(SOPHYAINCP)parradapter.h \
-  $(SOPHYAINCP)lut.h \
+  $(SOPHYAINCP)parradapter.h $(SOPHYAINCP)lut.h \
   $(SOPHYAINCP)ntupintf.h \
   $(SOPHYAINCP)generalfit.h \
-  $(SOPHYAINCP)tvector.h \
-  $(SOPHYAINCP)tmatrix.h \
-  $(SOPHYAINCP)tarray.h \
-  $(SOPHYAINCP)basarr.h \
-  $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)tvector.h $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)mutyv.h $(SOPHYAINCP)dvlist.h \
   $(SOPHYAINCP)objfio.h \
   $(SOPHYAINCP)ndatablock.h \
   $(SOPHYAINCP)utilarr.h \
   $(SOPHYAINCP)generaldata.h \
-  $(SOPHYAINCP)poly.h \
-  $(SOPHYAINCP)peida.h \
-  $(SOPHYAINCP)utils.h \
-  $(SOPHYAINCP)perrors.h \
-  $(SOPHYAINCP)fmath.h \
-  $(SOPHYAINCP)pixelmap.h \
+  $(SOPHYAINCP)poly.h $(SOPHYAINCP)peida.h \
+  $(SOPHYAINCP)utils.h $(SOPHYAINCP)perrors.h \
+  $(SOPHYAINCP)fmath.h $(SOPHYAINCP)pixelmap.h \
   $(SOPHYAINCP)spherepos.h \
   $(SOPHYAINCP)unitvector.h \
   $(SOPHYAINCP)vector3d.h \
   $(SOPHYAINCP)longlat.h \
-  $(SOPHYAINCP)utilgeom.h \
-  $(SOPHYAINCP)skymap.h \
+  $(SOPHYAINCP)utilgeom.h $(SOPHYAINCP)skymap.h \
   $(SOPHYAINCP)spherethetaphi.h \
   $(SOPHYAINCP)sphericalmap.h \
@@ -937,20 +890,18 @@
   $(SOPHYAINCP)sopnamsp.h \
   $(SOPHYAINCP)machdefs.h \
-  nomspecrespadapter.h nomgadapter.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)pidrawer.h \
-  $(SOPHYAINCP)pibwdggen.h \
-  $(SOPHYAINCP)pisysdep.h \
-  $(SOPHYAINCP)piwdgx.h \
+  $(SOPHYAINCP)osx_values.h nomspecrespadapter.h \
+  nomgadapter.h $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)pidrawer.h \
+  $(SOPHYAINCP)pibwdggen.h \
+  $(SOPHYAINCP)pisysdep.h $(SOPHYAINCP)piwdgx.h \
   $(SOPHYAINCP)piwdggen.h \
   $(SOPHYAINCP)pimsghandler.h \
-  $(SOPHYAINCP)picolist.h \
-  $(SOPHYAINCP)picmap.h \
+  $(SOPHYAINCP)picolist.h $(SOPHYAINCP)picmap.h \
   $(SOPHYAINCP)picmapx.h \
   $(SOPHYAINCP)picmapgen.h \
@@ -963,50 +914,40 @@
   $(SOPHYAINCP)pigraphuc.h \
   $(SOPHYAINCP)pievthandler.h \
-  $(SOPHYAINCP)psfile.h \
-  $(SOPHYAINCP)pigratt.h \
+  $(SOPHYAINCP)psfile.h $(SOPHYAINCP)pigratt.h \
   $(SOPHYAINCP)piaxes.h \
-  $(SOPHYAINCP)parradapter.h \
-  $(SOPHYAINCP)lut.h \
+  $(SOPHYAINCP)parradapter.h $(SOPHYAINCP)lut.h \
   $(SOPHYAINCP)ntupintf.h \
   $(SOPHYAINCP)generalfit.h \
-  $(SOPHYAINCP)tvector.h \
-  $(SOPHYAINCP)tmatrix.h \
-  $(SOPHYAINCP)tarray.h \
-  $(SOPHYAINCP)basarr.h \
-  $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)tvector.h $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)mutyv.h $(SOPHYAINCP)dvlist.h \
   $(SOPHYAINCP)objfio.h \
   $(SOPHYAINCP)ndatablock.h \
   $(SOPHYAINCP)utilarr.h \
   $(SOPHYAINCP)generaldata.h \
-  $(SOPHYAINCP)poly.h \
-  $(SOPHYAINCP)peida.h \
-  $(SOPHYAINCP)utils.h \
-  $(SOPHYAINCP)perrors.h \
-  $(SOPHYAINCP)fmath.h \
-  $(SOPHYAINCP)specresp.h \
+  $(SOPHYAINCP)poly.h $(SOPHYAINCP)peida.h \
+  $(SOPHYAINCP)utils.h $(SOPHYAINCP)perrors.h \
+  $(SOPHYAINCP)fmath.h $(SOPHYAINCP)specresp.h \
   $(SOPHYAINCP)specrespvector.h \
   $(SOPHYAINCP)gaussfilt.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  nomspecrespadapter.cc
  
-$(SOPHYAOBJP)nomtarradapter.o: nomtarradapter.cc \
-  $(SOPHYAINCP)sopnamsp.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)datatype.h nomtarradapter.h \
-  nomgadapter.h $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)pidrawer.h \
-  $(SOPHYAINCP)pibwdggen.h \
-  $(SOPHYAINCP)pisysdep.h \
-  $(SOPHYAINCP)piwdgx.h \
+$(SOPHYAOBJP)nomtarradapter.o: nomtarradapter.cc $(SOPHYAINCP)sopnamsp.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)osx_values.h \
+  $(SOPHYAINCP)datatype.h nomtarradapter.h nomgadapter.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)pidrawer.h \
+  $(SOPHYAINCP)pibwdggen.h \
+  $(SOPHYAINCP)pisysdep.h $(SOPHYAINCP)piwdgx.h \
   $(SOPHYAINCP)piwdggen.h \
   $(SOPHYAINCP)pimsghandler.h \
-  $(SOPHYAINCP)picolist.h \
-  $(SOPHYAINCP)picmap.h \
+  $(SOPHYAINCP)picolist.h $(SOPHYAINCP)picmap.h \
   $(SOPHYAINCP)picmapx.h \
   $(SOPHYAINCP)picmapgen.h \
@@ -1019,28 +960,20 @@
   $(SOPHYAINCP)pigraphuc.h \
   $(SOPHYAINCP)pievthandler.h \
-  $(SOPHYAINCP)psfile.h \
-  $(SOPHYAINCP)pigratt.h \
+  $(SOPHYAINCP)psfile.h $(SOPHYAINCP)pigratt.h \
   $(SOPHYAINCP)piaxes.h \
-  $(SOPHYAINCP)parradapter.h \
-  $(SOPHYAINCP)lut.h \
+  $(SOPHYAINCP)parradapter.h $(SOPHYAINCP)lut.h \
   $(SOPHYAINCP)ntupintf.h \
   $(SOPHYAINCP)generalfit.h \
-  $(SOPHYAINCP)tvector.h \
-  $(SOPHYAINCP)tmatrix.h \
-  $(SOPHYAINCP)tarray.h \
-  $(SOPHYAINCP)basarr.h \
-  $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)tvector.h $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)mutyv.h $(SOPHYAINCP)dvlist.h \
   $(SOPHYAINCP)objfio.h \
   $(SOPHYAINCP)ndatablock.h \
   $(SOPHYAINCP)utilarr.h \
   $(SOPHYAINCP)generaldata.h \
-  $(SOPHYAINCP)poly.h \
-  $(SOPHYAINCP)peida.h \
-  $(SOPHYAINCP)utils.h \
-  $(SOPHYAINCP)perrors.h \
+  $(SOPHYAINCP)poly.h $(SOPHYAINCP)peida.h \
+  $(SOPHYAINCP)utils.h $(SOPHYAINCP)perrors.h \
   $(SOPHYAINCP)fmath.h pitvmaad.h \
-  $(SOPHYAINCP)piyfxdrw.h \
-  $(SOPHYAINCP)fioarr.h \
+  $(SOPHYAINCP)piyfxdrw.h $(SOPHYAINCP)fioarr.h \
   $(SOPHYAINCP)fitstarray.h \
   $(SOPHYAINCP)fitsfile.h \
@@ -1052,14 +985,11 @@
   $(SOPHYAINCP)sopnamsp.h \
   $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)osx_values.h \
   $(SOPHYAINCP)datatype.h \
-  $(SOPHYAINCP)tvector.h \
-  $(SOPHYAINCP)tmatrix.h \
-  $(SOPHYAINCP)tarray.h \
-  $(SOPHYAINCP)basarr.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)tvector.h $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)mutyv.h $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)objfio.h $(SOPHYAINCP)ppersist.h \
   $(SOPHYAINCP)pexceptions.h \
   $(SOPHYAINCP)gnumd5.h \
@@ -1070,25 +1000,18 @@
   $(SOPHYAINCP)utilarr.h \
   $(SOPHYAINCP)objfitter.h \
-  $(SOPHYAINCP)cimage.h \
-  $(SOPHYAINCP)fioarr.h \
-  $(SOPHYAINCP)histos.h \
-  $(SOPHYAINCP)peida.h \
-  $(SOPHYAINCP)utils.h \
-  $(SOPHYAINCP)perrors.h \
-  $(SOPHYAINCP)fmath.h \
-  $(SOPHYAINCP)histos2.h \
+  $(SOPHYAINCP)cimage.h $(SOPHYAINCP)fioarr.h \
+  $(SOPHYAINCP)histos.h $(SOPHYAINCP)peida.h \
+  $(SOPHYAINCP)utils.h $(SOPHYAINCP)perrors.h \
+  $(SOPHYAINCP)fmath.h $(SOPHYAINCP)histos2.h \
   $(SOPHYAINCP)hisprof.h \
   $(SOPHYAINCP)generalfit.h \
   $(SOPHYAINCP)generaldata.h \
-  $(SOPHYAINCP)ntupintf.h \
-  $(SOPHYAINCP)poly.h nomtmatvecadapter.h \
-  nomgadapter.h $(SOPHYAINCP)pidrawer.h \
-  $(SOPHYAINCP)pibwdggen.h \
-  $(SOPHYAINCP)pisysdep.h \
-  $(SOPHYAINCP)piwdgx.h \
+  $(SOPHYAINCP)ntupintf.h $(SOPHYAINCP)poly.h \
+  nomtmatvecadapter.h nomgadapter.h $(SOPHYAINCP)pidrawer.h \
+  $(SOPHYAINCP)pibwdggen.h \
+  $(SOPHYAINCP)pisysdep.h $(SOPHYAINCP)piwdgx.h \
   $(SOPHYAINCP)piwdggen.h \
   $(SOPHYAINCP)pimsghandler.h \
-  $(SOPHYAINCP)picolist.h \
-  $(SOPHYAINCP)picmap.h \
+  $(SOPHYAINCP)picolist.h $(SOPHYAINCP)picmap.h \
   $(SOPHYAINCP)picmapx.h \
   $(SOPHYAINCP)picmapgen.h \
@@ -1101,9 +1024,7 @@
   $(SOPHYAINCP)pigraphuc.h \
   $(SOPHYAINCP)pievthandler.h \
-  $(SOPHYAINCP)psfile.h \
-  $(SOPHYAINCP)pigratt.h \
+  $(SOPHYAINCP)psfile.h $(SOPHYAINCP)pigratt.h \
   $(SOPHYAINCP)piaxes.h \
-  $(SOPHYAINCP)parradapter.h \
-  $(SOPHYAINCP)lut.h \
+  $(SOPHYAINCP)parradapter.h $(SOPHYAINCP)lut.h \
   $(SOPHYAINCP)piyfxdrw.h pitvmaad.h \
   $(SOPHYAINCP)fitstarray.h \
@@ -1113,11 +1034,10 @@
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  nomtmatvecadapter.cc
  
-$(SOPHYAOBJP)pawexecut.o: pawexecut.cc \
-  $(SOPHYAINCP)sopnamsp.h \
+$(SOPHYAOBJP)pawexecut.o: pawexecut.cc $(SOPHYAINCP)sopnamsp.h \
   $(SOPHYAINCP)strutil.h \
   $(SOPHYAINCP)strutilxx.h \
   $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)histos.h \
-  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)osx_values.h \
+  $(SOPHYAINCP)histos.h $(SOPHYAINCP)objfio.h \
   $(SOPHYAINCP)anydataobj.h \
   $(SOPHYAINCP)ppersist.h \
@@ -1127,34 +1047,22 @@
   $(SOPHYAINCP)rawstream.h \
   $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)peida.h \
-  $(SOPHYAINCP)utils.h \
-  $(SOPHYAINCP)perrors.h \
-  $(SOPHYAINCP)fmath.h \
-  $(SOPHYAINCP)tvector.h \
-  $(SOPHYAINCP)tmatrix.h \
-  $(SOPHYAINCP)tarray.h \
-  $(SOPHYAINCP)basarr.h \
-  $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)utilarr.h \
-  $(SOPHYAINCP)histos2.h \
-  $(SOPHYAINCP)hisprof.h \
-  $(SOPHYAINCP)histerr.h \
-  $(SOPHYAINCP)ntuple.h \
-  $(SOPHYAINCP)ntupintf.h pawexecut.h \
-  piacmd.h $(SOPHYAINCP)commander.h \
-  $(SOPHYAINCP)pdlmgr.h \
-  $(SOPHYAINCP)ctimer.h \
-  $(SOPHYAINCP)zthread.h dlftypes.h nobjmgr.h \
-  servnobjm.h nomgadapter.h \
-  $(SOPHYAINCP)pidrawer.h \
-  $(SOPHYAINCP)pibwdggen.h \
-  $(SOPHYAINCP)pisysdep.h \
-  $(SOPHYAINCP)piwdgx.h \
+  $(SOPHYAINCP)peida.h $(SOPHYAINCP)utils.h \
+  $(SOPHYAINCP)perrors.h $(SOPHYAINCP)fmath.h \
+  $(SOPHYAINCP)tvector.h $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)mutyv.h $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h $(SOPHYAINCP)histos2.h \
+  $(SOPHYAINCP)hisprof.h $(SOPHYAINCP)histerr.h \
+  $(SOPHYAINCP)ntuple.h $(SOPHYAINCP)ntupintf.h \
+  pawexecut.h piacmd.h $(SOPHYAINCP)commander.h \
+  $(SOPHYAINCP)pdlmgr.h $(SOPHYAINCP)ctimer.h \
+  $(SOPHYAINCP)zthread.h dlftypes.h nobjmgr.h servnobjm.h \
+  nomgadapter.h $(SOPHYAINCP)pidrawer.h \
+  $(SOPHYAINCP)pibwdggen.h \
+  $(SOPHYAINCP)pisysdep.h $(SOPHYAINCP)piwdgx.h \
   $(SOPHYAINCP)piwdggen.h \
   $(SOPHYAINCP)pimsghandler.h \
-  $(SOPHYAINCP)picolist.h \
-  $(SOPHYAINCP)picmap.h \
+  $(SOPHYAINCP)picolist.h $(SOPHYAINCP)picmap.h \
   $(SOPHYAINCP)picmapx.h \
   $(SOPHYAINCP)picmapgen.h \
@@ -1167,9 +1075,7 @@
   $(SOPHYAINCP)pigraphuc.h \
   $(SOPHYAINCP)pievthandler.h \
-  $(SOPHYAINCP)psfile.h \
-  $(SOPHYAINCP)pigratt.h \
+  $(SOPHYAINCP)psfile.h $(SOPHYAINCP)pigratt.h \
   $(SOPHYAINCP)piaxes.h \
-  $(SOPHYAINCP)parradapter.h \
-  $(SOPHYAINCP)lut.h \
+  $(SOPHYAINCP)parradapter.h $(SOPHYAINCP)lut.h \
   $(SOPHYAINCP)generalfit.h \
   $(SOPHYAINCP)generaldata.h \
@@ -1196,11 +1102,9 @@
   $(SOPHYAINCP)piperiodx.h \
   $(SOPHYAINCP)periodic.h \
-  $(SOPHYAINCP)piimage.h \
-  $(SOPHYAINCP)pieldrw.h \
+  $(SOPHYAINCP)piimage.h $(SOPHYAINCP)pieldrw.h \
   $(SOPHYAINCP)pipixmapx.h \
   $(SOPHYAINCP)pipixmapgen.h \
   $(SOPHYAINCP)picmapview.h \
-  $(SOPHYAINCP)pi3dwdg.h \
-  $(SOPHYAINCP)pi3ddrw.h \
+  $(SOPHYAINCP)pi3dwdg.h $(SOPHYAINCP)pi3ddrw.h \
   $(SOPHYAINCP)pigraph3d.h pisiadw.h \
   $(SOPHYAINCP)pilistx.h \
@@ -1213,6 +1117,6 @@
 $(SOPHYAOBJP)pi2dvec.o: pi2dvec.cc $(SOPHYAINCP)sopnamsp.h \
   $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)histos.h \
-  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)osx_values.h \
+  $(SOPHYAINCP)histos.h $(SOPHYAINCP)objfio.h \
   $(SOPHYAINCP)anydataobj.h \
   $(SOPHYAINCP)ppersist.h \
@@ -1222,20 +1126,13 @@
   $(SOPHYAINCP)rawstream.h \
   $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)peida.h \
-  $(SOPHYAINCP)utils.h \
-  $(SOPHYAINCP)perrors.h \
-  $(SOPHYAINCP)fmath.h \
-  $(SOPHYAINCP)tvector.h \
-  $(SOPHYAINCP)tmatrix.h \
-  $(SOPHYAINCP)tarray.h \
-  $(SOPHYAINCP)basarr.h \
-  $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)utilarr.h \
-  $(SOPHYAINCP)ntuple.h \
-  $(SOPHYAINCP)ntupintf.h \
-  $(SOPHYAINCP)nbtri.h pi2dvec.h \
-  pistdimgapp.h $(SOPHYAINCP)pisysdep.h \
+  $(SOPHYAINCP)peida.h $(SOPHYAINCP)utils.h \
+  $(SOPHYAINCP)perrors.h $(SOPHYAINCP)fmath.h \
+  $(SOPHYAINCP)tvector.h $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)mutyv.h $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h $(SOPHYAINCP)ntuple.h \
+  $(SOPHYAINCP)ntupintf.h $(SOPHYAINCP)nbtri.h \
+  pi2dvec.h pistdimgapp.h $(SOPHYAINCP)pisysdep.h \
   $(SOPHYAINCP)piapplx.h \
   $(SOPHYAINCP)piapplgen.h \
@@ -1243,6 +1140,5 @@
   $(SOPHYAINCP)picontainerx.h \
   $(SOPHYAINCP)picontainergen.h \
-  $(SOPHYAINCP)piwdgx.h \
-  $(SOPHYAINCP)piwdggen.h \
+  $(SOPHYAINCP)piwdgx.h $(SOPHYAINCP)piwdggen.h \
   $(SOPHYAINCP)picolist.h \
   $(SOPHYAINCP)pimenubarx.h \
@@ -1255,6 +1151,5 @@
   $(SOPHYAINCP)pibwdgx.h \
   $(SOPHYAINCP)pibwdggen.h \
-  $(SOPHYAINCP)picmap.h \
-  $(SOPHYAINCP)picmapx.h \
+  $(SOPHYAINCP)picmap.h $(SOPHYAINCP)picmapx.h \
   $(SOPHYAINCP)picmapgen.h \
   $(SOPHYAINCP)pigraphx.h \
@@ -1277,20 +1172,15 @@
   $(SOPHYAINCP)periodic.h \
   $(SOPHYAINCP)piimage.h \
-  $(SOPHYAINCP)parradapter.h \
-  $(SOPHYAINCP)lut.h \
+  $(SOPHYAINCP)parradapter.h $(SOPHYAINCP)lut.h \
   $(SOPHYAINCP)pieldrw.h \
   $(SOPHYAINCP)pidrawer.h \
-  $(SOPHYAINCP)pigratt.h \
-  $(SOPHYAINCP)piaxes.h \
+  $(SOPHYAINCP)pigratt.h $(SOPHYAINCP)piaxes.h \
   $(SOPHYAINCP)pipixmapx.h \
   $(SOPHYAINCP)pipixmapgen.h \
   $(SOPHYAINCP)picmapview.h \
-  $(SOPHYAINCP)pi3dwdg.h \
-  $(SOPHYAINCP)pi3ddrw.h \
-  $(SOPHYAINCP)pigraph3d.h nobjmgr.h \
-  dlftypes.h piacmd.h \
+  $(SOPHYAINCP)pi3dwdg.h $(SOPHYAINCP)pi3ddrw.h \
+  $(SOPHYAINCP)pigraph3d.h nobjmgr.h dlftypes.h piacmd.h \
   $(SOPHYAINCP)commander.h \
-  $(SOPHYAINCP)pdlmgr.h \
-  $(SOPHYAINCP)ctimer.h \
+  $(SOPHYAINCP)pdlmgr.h $(SOPHYAINCP)ctimer.h \
   $(SOPHYAINCP)zthread.h pisiadw.h \
   $(SOPHYAINCP)pilistx.h \
@@ -1302,9 +1192,9 @@
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  pi2dvec.cc
  
-$(SOPHYAOBJP)piacmd.o: piacmd.cc $(SOPHYAINCP)sopnamsp.h \
-  piacmd.h $(SOPHYAINCP)machdefs.h \
+$(SOPHYAOBJP)piacmd.o: piacmd.cc $(SOPHYAINCP)sopnamsp.h piacmd.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)osx_values.h \
   $(SOPHYAINCP)commander.h \
-  $(SOPHYAINCP)pdlmgr.h \
-  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)pdlmgr.h $(SOPHYAINCP)dvlist.h \
   $(SOPHYAINCP)objfio.h \
   $(SOPHYAINCP)anydataobj.h \
@@ -1315,8 +1205,7 @@
   $(SOPHYAINCP)rawstream.h \
   $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)ctimer.h \
+  $(SOPHYAINCP)mutyv.h $(SOPHYAINCP)ctimer.h \
   $(SOPHYAINCP)zthread.h dlftypes.h \
-  basexecut.h $(SOPHYAINCP)strutil.h \
+  $(SOPHYAINCP)strutil.h \
   $(SOPHYAINCP)strutilxx.h \
   $(SOPHYAINCP)srandgen.h pistdimgapp.h \
@@ -1327,6 +1216,5 @@
   $(SOPHYAINCP)picontainerx.h \
   $(SOPHYAINCP)picontainergen.h \
-  $(SOPHYAINCP)piwdgx.h \
-  $(SOPHYAINCP)piwdggen.h \
+  $(SOPHYAINCP)piwdgx.h $(SOPHYAINCP)piwdggen.h \
   $(SOPHYAINCP)picolist.h \
   $(SOPHYAINCP)pimenubarx.h \
@@ -1339,6 +1227,5 @@
   $(SOPHYAINCP)pibwdgx.h \
   $(SOPHYAINCP)pibwdggen.h \
-  $(SOPHYAINCP)picmap.h \
-  $(SOPHYAINCP)picmapx.h \
+  $(SOPHYAINCP)picmap.h $(SOPHYAINCP)picmapx.h \
   $(SOPHYAINCP)picmapgen.h \
   $(SOPHYAINCP)pigraphx.h \
@@ -1361,84 +1248,64 @@
   $(SOPHYAINCP)periodic.h \
   $(SOPHYAINCP)piimage.h \
-  $(SOPHYAINCP)parradapter.h \
-  $(SOPHYAINCP)lut.h \
+  $(SOPHYAINCP)parradapter.h $(SOPHYAINCP)lut.h \
   $(SOPHYAINCP)pieldrw.h \
   $(SOPHYAINCP)pidrawer.h \
-  $(SOPHYAINCP)pigratt.h \
-  $(SOPHYAINCP)piaxes.h \
+  $(SOPHYAINCP)pigratt.h $(SOPHYAINCP)piaxes.h \
   $(SOPHYAINCP)pipixmapx.h \
   $(SOPHYAINCP)pipixmapgen.h \
   $(SOPHYAINCP)picmapview.h \
-  $(SOPHYAINCP)pi3dwdg.h \
-  $(SOPHYAINCP)pi3ddrw.h \
-  $(SOPHYAINCP)pigraph3d.h nobjmgr.h \
-  pisiadw.h $(SOPHYAINCP)pilistx.h \
+  $(SOPHYAINCP)pi3dwdg.h $(SOPHYAINCP)pi3ddrw.h \
+  $(SOPHYAINCP)pigraph3d.h nobjmgr.h pisiadw.h \
+  $(SOPHYAINCP)pilistx.h \
   $(SOPHYAINCP)pilistgen.h \
   $(SOPHYAINCP)pistzwin.h \
   $(SOPHYAINCP)pitherm.h \
-  $(SOPHYAINCP)resusage.h piafitting.h \
-  nomgadapter.h $(SOPHYAINCP)ntupintf.h \
+  $(SOPHYAINCP)resusage.h basexecut.h graphexecut.h \
+  piafitting.h nomgadapter.h $(SOPHYAINCP)ntupintf.h \
   $(SOPHYAINCP)generalfit.h \
-  $(SOPHYAINCP)tvector.h \
-  $(SOPHYAINCP)tmatrix.h \
-  $(SOPHYAINCP)tarray.h \
-  $(SOPHYAINCP)basarr.h \
-  $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)utilarr.h \
-  $(SOPHYAINCP)generaldata.h \
-  $(SOPHYAINCP)poly.h \
-  $(SOPHYAINCP)peida.h \
-  $(SOPHYAINCP)utils.h \
-  $(SOPHYAINCP)perrors.h \
-  $(SOPHYAINCP)fmath.h pawexecut.h \
-  cxxexecutor.h cxxexecwin.h contmodex.h flowmodex.h
+  $(SOPHYAINCP)tvector.h $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h \
+  $(SOPHYAINCP)generaldata.h \
+  $(SOPHYAINCP)poly.h $(SOPHYAINCP)peida.h \
+  $(SOPHYAINCP)utils.h $(SOPHYAINCP)perrors.h \
+  $(SOPHYAINCP)fmath.h pawexecut.h cxxexecutor.h \
+  cxxexecwin.h contmodex.h flowmodex.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  piacmd.cc
  
-$(SOPHYAOBJP)piafitting.o: piafitting.cc \
-  $(SOPHYAINCP)sopnamsp.h \
-  $(SOPHYAINCP)strutil.h \
-  $(SOPHYAINCP)nbtri.h \
-  $(SOPHYAINCP)machdefs.h \
+$(SOPHYAOBJP)piafitting.o: piafitting.cc $(SOPHYAINCP)sopnamsp.h \
+  $(SOPHYAINCP)strutil.h $(SOPHYAINCP)nbtri.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)osx_values.h \
   $(SOPHYAINCP)generalfit.h \
   $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)tvector.h \
-  $(SOPHYAINCP)tmatrix.h \
-  $(SOPHYAINCP)tarray.h \
-  $(SOPHYAINCP)basarr.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)utilarr.h \
-  $(SOPHYAINCP)generaldata.h \
-  $(SOPHYAINCP)ntupintf.h \
-  $(SOPHYAINCP)poly.h \
-  $(SOPHYAINCP)peida.h \
-  $(SOPHYAINCP)utils.h \
-  $(SOPHYAINCP)perrors.h \
-  $(SOPHYAINCP)fmath.h \
+  $(SOPHYAINCP)tvector.h $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)mutyv.h $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)objfio.h $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h \
+  $(SOPHYAINCP)generaldata.h \
+  $(SOPHYAINCP)ntupintf.h $(SOPHYAINCP)poly.h \
+  $(SOPHYAINCP)peida.h $(SOPHYAINCP)utils.h \
+  $(SOPHYAINCP)perrors.h $(SOPHYAINCP)fmath.h \
   $(SOPHYAINCP)fct1dfit.h \
-  $(SOPHYAINCP)fct2dfit.h \
-  $(SOPHYAINCP)ntuple.h \
-  $(SOPHYAINCP)cimage.h \
-  $(SOPHYAINCP)fioarr.h \
-  $(SOPHYAINCP)histos.h \
-  $(SOPHYAINCP)histos2.h \
+  $(SOPHYAINCP)fct2dfit.h $(SOPHYAINCP)ntuple.h \
+  $(SOPHYAINCP)cimage.h $(SOPHYAINCP)fioarr.h \
+  $(SOPHYAINCP)histos.h $(SOPHYAINCP)histos2.h \
   $(SOPHYAINCP)hisprof.h \
-  $(SOPHYAINCP)objfitter.h piafitting.h \
-  nomgadapter.h $(SOPHYAINCP)pidrawer.h \
-  $(SOPHYAINCP)pibwdggen.h \
-  $(SOPHYAINCP)pisysdep.h \
-  $(SOPHYAINCP)piwdgx.h \
+  $(SOPHYAINCP)objfitter.h piafitting.h nomgadapter.h \
+  $(SOPHYAINCP)pidrawer.h \
+  $(SOPHYAINCP)pibwdggen.h \
+  $(SOPHYAINCP)pisysdep.h $(SOPHYAINCP)piwdgx.h \
   $(SOPHYAINCP)piwdggen.h \
   $(SOPHYAINCP)pimsghandler.h \
-  $(SOPHYAINCP)picolist.h \
-  $(SOPHYAINCP)picmap.h \
+  $(SOPHYAINCP)picolist.h $(SOPHYAINCP)picmap.h \
   $(SOPHYAINCP)picmapx.h \
   $(SOPHYAINCP)picmapgen.h \
@@ -1451,14 +1318,11 @@
   $(SOPHYAINCP)pigraphuc.h \
   $(SOPHYAINCP)pievthandler.h \
-  $(SOPHYAINCP)psfile.h \
-  $(SOPHYAINCP)pigratt.h \
+  $(SOPHYAINCP)psfile.h $(SOPHYAINCP)pigratt.h \
   $(SOPHYAINCP)piaxes.h \
-  $(SOPHYAINCP)parradapter.h \
-  $(SOPHYAINCP)lut.h \
+  $(SOPHYAINCP)parradapter.h $(SOPHYAINCP)lut.h \
   $(SOPHYAINCP)pdlmgr.h dlftypes.h piacmd.h \
   $(SOPHYAINCP)commander.h \
-  $(SOPHYAINCP)ctimer.h \
-  $(SOPHYAINCP)zthread.h nobjmgr.h \
-  pistdimgapp.h $(SOPHYAINCP)piapplx.h \
+  $(SOPHYAINCP)ctimer.h $(SOPHYAINCP)zthread.h \
+  nobjmgr.h pistdimgapp.h $(SOPHYAINCP)piapplx.h \
   $(SOPHYAINCP)piapplgen.h \
   $(SOPHYAINCP)picontainerx.h \
@@ -1481,11 +1345,9 @@
   $(SOPHYAINCP)piperiodx.h \
   $(SOPHYAINCP)periodic.h \
-  $(SOPHYAINCP)piimage.h \
-  $(SOPHYAINCP)pieldrw.h \
+  $(SOPHYAINCP)piimage.h $(SOPHYAINCP)pieldrw.h \
   $(SOPHYAINCP)pipixmapx.h \
   $(SOPHYAINCP)pipixmapgen.h \
   $(SOPHYAINCP)picmapview.h \
-  $(SOPHYAINCP)pi3dwdg.h \
-  $(SOPHYAINCP)pi3ddrw.h \
+  $(SOPHYAINCP)pi3dwdg.h $(SOPHYAINCP)pi3ddrw.h \
   $(SOPHYAINCP)pigraph3d.h pisiadw.h \
   $(SOPHYAINCP)pilistx.h \
@@ -1494,6 +1356,5 @@
   $(SOPHYAINCP)pitherm.h \
   $(SOPHYAINCP)resusage.h nomhistadapter.h \
-  $(SOPHYAINCP)histerr.h \
-  $(SOPHYAINCP)xntuple.h \
+  $(SOPHYAINCP)histerr.h $(SOPHYAINCP)xntuple.h \
   $(SOPHYAINCP)basedtable.h \
   $(SOPHYAINCP)segdatablock.h nomgfdadapter.h \
@@ -1501,8 +1362,8 @@
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  piafitting.cc
  
-$(SOPHYAOBJP)pigfd1.o: pigfd1.cc $(SOPHYAINCP)sopnamsp.h \
-  pigfd1.h $(SOPHYAINCP)generaldata.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)machdefs.h \
+$(SOPHYAOBJP)pigfd1.o: pigfd1.cc $(SOPHYAINCP)sopnamsp.h pigfd1.h \
+  $(SOPHYAINCP)generaldata.h \
+  $(SOPHYAINCP)objfio.h $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)osx_values.h \
   $(SOPHYAINCP)anydataobj.h \
   $(SOPHYAINCP)ppersist.h \
@@ -1512,26 +1373,18 @@
   $(SOPHYAINCP)rawstream.h \
   $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)ntupintf.h \
-  $(SOPHYAINCP)poly.h \
-  $(SOPHYAINCP)peida.h \
-  $(SOPHYAINCP)utils.h \
-  $(SOPHYAINCP)perrors.h \
-  $(SOPHYAINCP)fmath.h \
-  $(SOPHYAINCP)tvector.h \
-  $(SOPHYAINCP)tmatrix.h \
-  $(SOPHYAINCP)tarray.h \
-  $(SOPHYAINCP)basarr.h \
-  $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)utilarr.h \
-  $(SOPHYAINCP)pidrawer.h \
-  $(SOPHYAINCP)pibwdggen.h \
-  $(SOPHYAINCP)pisysdep.h \
-  $(SOPHYAINCP)piwdgx.h \
+  $(SOPHYAINCP)ntupintf.h $(SOPHYAINCP)poly.h \
+  $(SOPHYAINCP)peida.h $(SOPHYAINCP)utils.h \
+  $(SOPHYAINCP)perrors.h $(SOPHYAINCP)fmath.h \
+  $(SOPHYAINCP)tvector.h $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)mutyv.h $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h \
+  $(SOPHYAINCP)pidrawer.h \
+  $(SOPHYAINCP)pibwdggen.h \
+  $(SOPHYAINCP)pisysdep.h $(SOPHYAINCP)piwdgx.h \
   $(SOPHYAINCP)piwdggen.h \
   $(SOPHYAINCP)pimsghandler.h \
-  $(SOPHYAINCP)picolist.h \
-  $(SOPHYAINCP)picmap.h \
+  $(SOPHYAINCP)picolist.h $(SOPHYAINCP)picmap.h \
   $(SOPHYAINCP)picmapx.h \
   $(SOPHYAINCP)picmapgen.h \
@@ -1544,13 +1397,12 @@
   $(SOPHYAINCP)pigraphuc.h \
   $(SOPHYAINCP)pievthandler.h \
-  $(SOPHYAINCP)psfile.h \
-  $(SOPHYAINCP)pigratt.h \
+  $(SOPHYAINCP)psfile.h $(SOPHYAINCP)pigratt.h \
   $(SOPHYAINCP)piaxes.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  pigfd1.cc
  
-$(SOPHYAOBJP)pigfd2.o: pigfd2.cc $(SOPHYAINCP)sopnamsp.h \
-  pigfd2.h $(SOPHYAINCP)generaldata.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)machdefs.h \
+$(SOPHYAOBJP)pigfd2.o: pigfd2.cc $(SOPHYAINCP)sopnamsp.h pigfd2.h \
+  $(SOPHYAINCP)generaldata.h \
+  $(SOPHYAINCP)objfio.h $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)osx_values.h \
   $(SOPHYAINCP)anydataobj.h \
   $(SOPHYAINCP)ppersist.h \
@@ -1560,27 +1412,18 @@
   $(SOPHYAINCP)rawstream.h \
   $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)ntupintf.h \
-  $(SOPHYAINCP)poly.h \
-  $(SOPHYAINCP)peida.h \
-  $(SOPHYAINCP)utils.h \
-  $(SOPHYAINCP)perrors.h \
-  $(SOPHYAINCP)fmath.h \
-  $(SOPHYAINCP)tvector.h \
-  $(SOPHYAINCP)tmatrix.h \
-  $(SOPHYAINCP)tarray.h \
-  $(SOPHYAINCP)basarr.h \
-  $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)utilarr.h \
-  $(SOPHYAINCP)pi3ddrw.h \
+  $(SOPHYAINCP)ntupintf.h $(SOPHYAINCP)poly.h \
+  $(SOPHYAINCP)peida.h $(SOPHYAINCP)utils.h \
+  $(SOPHYAINCP)perrors.h $(SOPHYAINCP)fmath.h \
+  $(SOPHYAINCP)tvector.h $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)mutyv.h $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h $(SOPHYAINCP)pi3ddrw.h \
   $(SOPHYAINCP)pisysdep.h \
   $(SOPHYAINCP)pidrawer.h \
   $(SOPHYAINCP)pibwdggen.h \
-  $(SOPHYAINCP)piwdgx.h \
-  $(SOPHYAINCP)piwdggen.h \
-  $(SOPHYAINCP)pimsghandler.h \
-  $(SOPHYAINCP)picolist.h \
-  $(SOPHYAINCP)picmap.h \
+  $(SOPHYAINCP)piwdgx.h $(SOPHYAINCP)piwdggen.h \
+  $(SOPHYAINCP)pimsghandler.h \
+  $(SOPHYAINCP)picolist.h $(SOPHYAINCP)picmap.h \
   $(SOPHYAINCP)picmapx.h \
   $(SOPHYAINCP)picmapgen.h \
@@ -1593,15 +1436,13 @@
   $(SOPHYAINCP)pigraphuc.h \
   $(SOPHYAINCP)pievthandler.h \
-  $(SOPHYAINCP)psfile.h \
-  $(SOPHYAINCP)pigratt.h \
-  $(SOPHYAINCP)piaxes.h \
-  $(SOPHYAINCP)pieldrw.h \
+  $(SOPHYAINCP)psfile.h $(SOPHYAINCP)pigratt.h \
+  $(SOPHYAINCP)piaxes.h $(SOPHYAINCP)pieldrw.h \
   $(SOPHYAINCP)pigraph3d.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  pigfd2.cc
  
-$(SOPHYAOBJP)pihisto.o: pihisto.cc $(SOPHYAINCP)sopnamsp.h \
-  pihisto.h $(SOPHYAINCP)histos.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)machdefs.h \
+$(SOPHYAOBJP)pihisto.o: pihisto.cc $(SOPHYAINCP)sopnamsp.h pihisto.h \
+  $(SOPHYAINCP)histos.h $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)osx_values.h \
   $(SOPHYAINCP)anydataobj.h \
   $(SOPHYAINCP)ppersist.h \
@@ -1611,24 +1452,17 @@
   $(SOPHYAINCP)rawstream.h \
   $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)peida.h \
-  $(SOPHYAINCP)utils.h \
-  $(SOPHYAINCP)perrors.h \
-  $(SOPHYAINCP)fmath.h \
-  $(SOPHYAINCP)tvector.h \
-  $(SOPHYAINCP)tmatrix.h \
-  $(SOPHYAINCP)tarray.h \
-  $(SOPHYAINCP)basarr.h \
-  $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)utilarr.h \
-  $(SOPHYAINCP)pidrawer.h \
-  $(SOPHYAINCP)pibwdggen.h \
-  $(SOPHYAINCP)pisysdep.h \
-  $(SOPHYAINCP)piwdgx.h \
+  $(SOPHYAINCP)peida.h $(SOPHYAINCP)utils.h \
+  $(SOPHYAINCP)perrors.h $(SOPHYAINCP)fmath.h \
+  $(SOPHYAINCP)tvector.h $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)mutyv.h $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h \
+  $(SOPHYAINCP)pidrawer.h \
+  $(SOPHYAINCP)pibwdggen.h \
+  $(SOPHYAINCP)pisysdep.h $(SOPHYAINCP)piwdgx.h \
   $(SOPHYAINCP)piwdggen.h \
   $(SOPHYAINCP)pimsghandler.h \
-  $(SOPHYAINCP)picolist.h \
-  $(SOPHYAINCP)picmap.h \
+  $(SOPHYAINCP)picolist.h $(SOPHYAINCP)picmap.h \
   $(SOPHYAINCP)picmapx.h \
   $(SOPHYAINCP)picmapgen.h \
@@ -1641,11 +1475,11 @@
   $(SOPHYAINCP)pigraphuc.h \
   $(SOPHYAINCP)pievthandler.h \
-  $(SOPHYAINCP)psfile.h \
-  $(SOPHYAINCP)pigratt.h \
-  $(SOPHYAINCP)piaxes.h \
-  $(SOPHYAINCP)hisprof.h
+  $(SOPHYAINCP)psfile.h $(SOPHYAINCP)pigratt.h \
+  $(SOPHYAINCP)piaxes.h $(SOPHYAINCP)hisprof.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  pihisto.cc
  
-$(SOPHYAOBJP)pihisto2d.o: pihisto2d.cc \
+$(SOPHYAOBJP)pihisto2d.o: pihisto2d.cc $(SOPHYAINCP)pisysdep.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)osx_values.h \
   $(SOPHYAINCP)piapplx.h \
   $(SOPHYAINCP)piapplgen.h \
@@ -1653,6 +1487,5 @@
   $(SOPHYAINCP)picontainerx.h \
   $(SOPHYAINCP)picontainergen.h \
-  $(SOPHYAINCP)piwdgx.h \
-  $(SOPHYAINCP)piwdggen.h \
+  $(SOPHYAINCP)piwdgx.h $(SOPHYAINCP)piwdggen.h \
   $(SOPHYAINCP)picolist.h \
   $(SOPHYAINCP)pimenubarx.h \
@@ -1665,6 +1498,5 @@
   $(SOPHYAINCP)pibwdgx.h \
   $(SOPHYAINCP)pibwdggen.h \
-  $(SOPHYAINCP)picmap.h \
-  $(SOPHYAINCP)picmapx.h \
+  $(SOPHYAINCP)picmap.h $(SOPHYAINCP)picmapx.h \
   $(SOPHYAINCP)picmapgen.h \
   $(SOPHYAINCP)pigraphx.h \
@@ -1681,29 +1513,21 @@
   $(SOPHYAINCP)pioptmenux.h \
   $(SOPHYAINCP)pioptmenugen.h \
-  $(SOPHYAINCP)histos2.h \
-  $(SOPHYAINCP)peida.h \
-  $(SOPHYAINCP)utils.h \
-  $(SOPHYAINCP)perrors.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)fmath.h \
-  $(SOPHYAINCP)histos.h \
+  $(SOPHYAINCP)histos2.h $(SOPHYAINCP)peida.h \
+  $(SOPHYAINCP)utils.h $(SOPHYAINCP)perrors.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)fmath.h $(SOPHYAINCP)histos.h \
   $(SOPHYAINCP)objfio.h \
   $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)tvector.h \
-  $(SOPHYAINCP)tmatrix.h \
-  $(SOPHYAINCP)tarray.h \
-  $(SOPHYAINCP)basarr.h \
-  $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)utilarr.h \
-  $(SOPHYAINCP)pidrawer.h \
-  $(SOPHYAINCP)pigratt.h \
-  $(SOPHYAINCP)piaxes.h \
+  $(SOPHYAINCP)ppersist.h $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)tvector.h $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)mutyv.h $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h \
+  $(SOPHYAINCP)pidrawer.h \
+  $(SOPHYAINCP)pigratt.h $(SOPHYAINCP)piaxes.h \
   $(SOPHYAINCP)piscdrawwdg.h \
   $(SOPHYAINCP)piwindowx.h \
@@ -1715,5 +1539,6 @@
  
 $(SOPHYAOBJP)piinit.o: piinit.cc $(SOPHYAINCP)sopnamsp.h \
-  $(SOPHYAINCP)machdefs.h piinit.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)osx_values.h piinit.h \
   $(SOPHYAINCP)sambainit.h \
   $(SOPHYAINCP)skymapinit.h \
@@ -1727,6 +1552,5 @@
   $(SOPHYAINCP)picontainerx.h \
   $(SOPHYAINCP)picontainergen.h \
-  $(SOPHYAINCP)piwdgx.h \
-  $(SOPHYAINCP)piwdggen.h \
+  $(SOPHYAINCP)piwdgx.h $(SOPHYAINCP)piwdggen.h \
   $(SOPHYAINCP)picolist.h \
   $(SOPHYAINCP)pimenubarx.h \
@@ -1739,6 +1563,5 @@
   $(SOPHYAINCP)pibwdgx.h \
   $(SOPHYAINCP)pibwdggen.h \
-  $(SOPHYAINCP)picmap.h \
-  $(SOPHYAINCP)picmapx.h \
+  $(SOPHYAINCP)picmap.h $(SOPHYAINCP)picmapx.h \
   $(SOPHYAINCP)picmapgen.h \
   $(SOPHYAINCP)pigraphx.h \
@@ -1761,15 +1584,12 @@
   $(SOPHYAINCP)periodic.h \
   $(SOPHYAINCP)piimage.h \
-  $(SOPHYAINCP)parradapter.h \
-  $(SOPHYAINCP)lut.h \
+  $(SOPHYAINCP)parradapter.h $(SOPHYAINCP)lut.h \
   $(SOPHYAINCP)pieldrw.h \
   $(SOPHYAINCP)pidrawer.h \
-  $(SOPHYAINCP)pigratt.h \
-  $(SOPHYAINCP)piaxes.h \
+  $(SOPHYAINCP)pigratt.h $(SOPHYAINCP)piaxes.h \
   $(SOPHYAINCP)pipixmapx.h \
   $(SOPHYAINCP)pipixmapgen.h \
   $(SOPHYAINCP)picmapview.h \
-  $(SOPHYAINCP)pi3dwdg.h \
-  $(SOPHYAINCP)pi3ddrw.h \
+  $(SOPHYAINCP)pi3dwdg.h $(SOPHYAINCP)pi3ddrw.h \
   $(SOPHYAINCP)pigraph3d.h nobjmgr.h \
   $(SOPHYAINCP)anydataobj.h \
@@ -1780,10 +1600,8 @@
   $(SOPHYAINCP)rawstream.h \
   $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)dvlist.h $(SOPHYAINCP)objfio.h \
   $(SOPHYAINCP)mutyv.h dlftypes.h piacmd.h \
   $(SOPHYAINCP)commander.h \
-  $(SOPHYAINCP)pdlmgr.h \
-  $(SOPHYAINCP)ctimer.h \
+  $(SOPHYAINCP)pdlmgr.h $(SOPHYAINCP)ctimer.h \
   $(SOPHYAINCP)zthread.h pisiadw.h \
   $(SOPHYAINCP)pilistx.h \
@@ -1791,36 +1609,28 @@
   $(SOPHYAINCP)pistzwin.h \
   $(SOPHYAINCP)pitherm.h \
-  $(SOPHYAINCP)resusage.h servnobjm.h \
-  nomhistadapter.h nomgadapter.h \
-  $(SOPHYAINCP)ntupintf.h \
+  $(SOPHYAINCP)resusage.h servnobjm.h nomhistadapter.h \
+  nomgadapter.h $(SOPHYAINCP)ntupintf.h \
   $(SOPHYAINCP)generalfit.h \
-  $(SOPHYAINCP)tvector.h \
-  $(SOPHYAINCP)tmatrix.h \
-  $(SOPHYAINCP)tarray.h \
-  $(SOPHYAINCP)basarr.h \
-  $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)utilarr.h \
-  $(SOPHYAINCP)generaldata.h \
-  $(SOPHYAINCP)poly.h \
-  $(SOPHYAINCP)peida.h \
-  $(SOPHYAINCP)utils.h \
-  $(SOPHYAINCP)perrors.h \
-  $(SOPHYAINCP)fmath.h \
-  $(SOPHYAINCP)histos.h \
-  $(SOPHYAINCP)histos2.h \
-  $(SOPHYAINCP)hisprof.h \
-  $(SOPHYAINCP)histerr.h \
-  $(SOPHYAINCP)ntuple.h \
+  $(SOPHYAINCP)tvector.h $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h \
+  $(SOPHYAINCP)generaldata.h \
+  $(SOPHYAINCP)poly.h $(SOPHYAINCP)peida.h \
+  $(SOPHYAINCP)utils.h $(SOPHYAINCP)perrors.h \
+  $(SOPHYAINCP)fmath.h $(SOPHYAINCP)histos.h \
+  $(SOPHYAINCP)histos2.h $(SOPHYAINCP)hisprof.h \
+  $(SOPHYAINCP)histerr.h $(SOPHYAINCP)ntuple.h \
   $(SOPHYAINCP)xntuple.h \
   $(SOPHYAINCP)basedtable.h \
   $(SOPHYAINCP)segdatablock.h nomgfdadapter.h \
   nomimagadapter.h $(SOPHYAINCP)cimage.h \
-  $(SOPHYAINCP)fioarr.h nomtmatvecadapter.h \
-  nomtarradapter.h $(SOPHYAINCP)datatable.h \
+  $(SOPHYAINCP)fioarr.h nomtmatvecadapter.h nomtarradapter.h \
+  $(SOPHYAINCP)datatable.h \
   $(SOPHYAINCP)swppfdtable.h \
   $(SOPHYAINCP)swsegdb.h \
   $(SOPHYAINCP)ppfswapper.h \
-  $(SOPHYAINCP)ppftpointerio.h \
-  nomskymapadapter.h $(SOPHYAINCP)pixelmap.h \
+  $(SOPHYAINCP)ppftpointerio.h nomskymapadapter.h \
+  $(SOPHYAINCP)pixelmap.h \
   $(SOPHYAINCP)spherepos.h \
   $(SOPHYAINCP)unitvector.h \
@@ -1837,21 +1647,18 @@
   $(SOPHYAINCP)specrespvector.h \
   $(SOPHYAINCP)specresp.h \
-  $(SOPHYAINCP)gaussfilt.h \
-  nomspecrespadapter.h
+  $(SOPHYAINCP)gaussfilt.h nomspecrespadapter.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  piinit.cc
  
-$(SOPHYAOBJP)pintup3d.o: pintup3d.cc \
-  $(SOPHYAINCP)sopnamsp.h pintup3d.h \
+$(SOPHYAOBJP)pintup3d.o: pintup3d.cc $(SOPHYAINCP)sopnamsp.h pintup3d.h \
   $(SOPHYAINCP)ntupintf.h \
   $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)osx_values.h \
   $(SOPHYAINCP)pi3ddrw.h \
   $(SOPHYAINCP)pisysdep.h \
   $(SOPHYAINCP)pidrawer.h \
   $(SOPHYAINCP)pibwdggen.h \
-  $(SOPHYAINCP)piwdgx.h \
-  $(SOPHYAINCP)piwdggen.h \
-  $(SOPHYAINCP)pimsghandler.h \
-  $(SOPHYAINCP)picolist.h \
-  $(SOPHYAINCP)picmap.h \
+  $(SOPHYAINCP)piwdgx.h $(SOPHYAINCP)piwdggen.h \
+  $(SOPHYAINCP)pimsghandler.h \
+  $(SOPHYAINCP)picolist.h $(SOPHYAINCP)picmap.h \
   $(SOPHYAINCP)picmapx.h \
   $(SOPHYAINCP)picmapgen.h \
@@ -1864,23 +1671,19 @@
   $(SOPHYAINCP)pigraphuc.h \
   $(SOPHYAINCP)pievthandler.h \
-  $(SOPHYAINCP)psfile.h \
-  $(SOPHYAINCP)pigratt.h \
-  $(SOPHYAINCP)piaxes.h \
-  $(SOPHYAINCP)pieldrw.h \
+  $(SOPHYAINCP)psfile.h $(SOPHYAINCP)pigratt.h \
+  $(SOPHYAINCP)piaxes.h $(SOPHYAINCP)pieldrw.h \
   $(SOPHYAINCP)pigraph3d.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  pintup3d.cc
  
-$(SOPHYAOBJP)pintuple.o: pintuple.cc \
-  $(SOPHYAINCP)sopnamsp.h pintuple.h \
+$(SOPHYAOBJP)pintuple.o: pintuple.cc $(SOPHYAINCP)sopnamsp.h pintuple.h \
   $(SOPHYAINCP)ntupintf.h \
   $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)pidrawer.h \
-  $(SOPHYAINCP)pibwdggen.h \
-  $(SOPHYAINCP)pisysdep.h \
-  $(SOPHYAINCP)piwdgx.h \
+  $(SOPHYAINCP)osx_values.h \
+  $(SOPHYAINCP)pidrawer.h \
+  $(SOPHYAINCP)pibwdggen.h \
+  $(SOPHYAINCP)pisysdep.h $(SOPHYAINCP)piwdgx.h \
   $(SOPHYAINCP)piwdggen.h \
   $(SOPHYAINCP)pimsghandler.h \
-  $(SOPHYAINCP)picolist.h \
-  $(SOPHYAINCP)picmap.h \
+  $(SOPHYAINCP)picolist.h $(SOPHYAINCP)picmap.h \
   $(SOPHYAINCP)picmapx.h \
   $(SOPHYAINCP)picmapgen.h \
@@ -1893,19 +1696,17 @@
   $(SOPHYAINCP)pigraphuc.h \
   $(SOPHYAINCP)pievthandler.h \
-  $(SOPHYAINCP)psfile.h \
-  $(SOPHYAINCP)pigratt.h \
+  $(SOPHYAINCP)psfile.h $(SOPHYAINCP)pigratt.h \
   $(SOPHYAINCP)piaxes.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  pintuple.cc
  
-$(SOPHYAOBJP)pipodrw.o: pipodrw.cc $(SOPHYAINCP)sopnamsp.h \
-  pipodrw.h $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)pidrawer.h \
-  $(SOPHYAINCP)pibwdggen.h \
-  $(SOPHYAINCP)pisysdep.h \
-  $(SOPHYAINCP)piwdgx.h \
+$(SOPHYAOBJP)pipodrw.o: pipodrw.cc $(SOPHYAINCP)sopnamsp.h pipodrw.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)osx_values.h \
+  $(SOPHYAINCP)pidrawer.h \
+  $(SOPHYAINCP)pibwdggen.h \
+  $(SOPHYAINCP)pisysdep.h $(SOPHYAINCP)piwdgx.h \
   $(SOPHYAINCP)piwdggen.h \
   $(SOPHYAINCP)pimsghandler.h \
-  $(SOPHYAINCP)picolist.h \
-  $(SOPHYAINCP)picmap.h \
+  $(SOPHYAINCP)picolist.h $(SOPHYAINCP)picmap.h \
   $(SOPHYAINCP)picmapx.h \
   $(SOPHYAINCP)picmapgen.h \
@@ -1918,43 +1719,33 @@
   $(SOPHYAINCP)pigraphuc.h \
   $(SOPHYAINCP)pievthandler.h \
-  $(SOPHYAINCP)psfile.h \
-  $(SOPHYAINCP)pigratt.h \
+  $(SOPHYAINCP)psfile.h $(SOPHYAINCP)pigratt.h \
   $(SOPHYAINCP)piaxes.h \
-  $(SOPHYAINCP)parradapter.h \
-  $(SOPHYAINCP)lut.h \
-  $(SOPHYAINCP)histos2.h \
-  $(SOPHYAINCP)peida.h \
-  $(SOPHYAINCP)utils.h \
+  $(SOPHYAINCP)parradapter.h $(SOPHYAINCP)lut.h \
+  $(SOPHYAINCP)histos2.h $(SOPHYAINCP)peida.h \
+  $(SOPHYAINCP)utils.h $(SOPHYAINCP)perrors.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)fmath.h $(SOPHYAINCP)histos.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)ppersist.h $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)tvector.h $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)mutyv.h $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h \
+  $(SOPHYAINCP)generalfit.h \
+  $(SOPHYAINCP)generaldata.h \
+  $(SOPHYAINCP)ntupintf.h $(SOPHYAINCP)poly.h
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  pipodrw.cc
+ 
+$(SOPHYAOBJP)pisiadw.o: pisiadw.cc $(SOPHYAINCP)sopnamsp.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)osx_values.h \
   $(SOPHYAINCP)perrors.h \
   $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)fmath.h \
-  $(SOPHYAINCP)histos.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)tvector.h \
-  $(SOPHYAINCP)tmatrix.h \
-  $(SOPHYAINCP)tarray.h \
-  $(SOPHYAINCP)basarr.h \
-  $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)utilarr.h \
-  $(SOPHYAINCP)generalfit.h \
-  $(SOPHYAINCP)generaldata.h \
-  $(SOPHYAINCP)ntupintf.h \
-  $(SOPHYAINCP)poly.h
-	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  pipodrw.cc
- 
-$(SOPHYAOBJP)pisiadw.o: pisiadw.cc $(SOPHYAINCP)sopnamsp.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)perrors.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)ctimer.h \
-  $(SOPHYAINCP)nbmath.h \
+  $(SOPHYAINCP)ctimer.h $(SOPHYAINCP)nbmath.h \
   $(SOPHYAINCP)smathconst.h pistdimgapp.h \
   $(SOPHYAINCP)pisysdep.h \
@@ -1964,6 +1755,5 @@
   $(SOPHYAINCP)picontainerx.h \
   $(SOPHYAINCP)picontainergen.h \
-  $(SOPHYAINCP)piwdgx.h \
-  $(SOPHYAINCP)piwdggen.h \
+  $(SOPHYAINCP)piwdgx.h $(SOPHYAINCP)piwdggen.h \
   $(SOPHYAINCP)picolist.h \
   $(SOPHYAINCP)pimenubarx.h \
@@ -1976,6 +1766,5 @@
   $(SOPHYAINCP)pibwdgx.h \
   $(SOPHYAINCP)pibwdggen.h \
-  $(SOPHYAINCP)picmap.h \
-  $(SOPHYAINCP)picmapx.h \
+  $(SOPHYAINCP)picmap.h $(SOPHYAINCP)picmapx.h \
   $(SOPHYAINCP)picmapgen.h \
   $(SOPHYAINCP)pigraphx.h \
@@ -1998,29 +1787,23 @@
   $(SOPHYAINCP)periodic.h \
   $(SOPHYAINCP)piimage.h \
-  $(SOPHYAINCP)parradapter.h \
-  $(SOPHYAINCP)lut.h \
+  $(SOPHYAINCP)parradapter.h $(SOPHYAINCP)lut.h \
   $(SOPHYAINCP)pieldrw.h \
   $(SOPHYAINCP)pidrawer.h \
-  $(SOPHYAINCP)pigratt.h \
-  $(SOPHYAINCP)piaxes.h \
+  $(SOPHYAINCP)pigratt.h $(SOPHYAINCP)piaxes.h \
   $(SOPHYAINCP)pipixmapx.h \
   $(SOPHYAINCP)pipixmapgen.h \
   $(SOPHYAINCP)picmapview.h \
-  $(SOPHYAINCP)pi3dwdg.h \
-  $(SOPHYAINCP)pi3ddrw.h \
+  $(SOPHYAINCP)pi3dwdg.h $(SOPHYAINCP)pi3ddrw.h \
   $(SOPHYAINCP)pigraph3d.h nobjmgr.h \
   $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)ppersist.h $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)dvlist.h $(SOPHYAINCP)objfio.h \
   $(SOPHYAINCP)mutyv.h dlftypes.h piacmd.h \
   $(SOPHYAINCP)commander.h \
-  $(SOPHYAINCP)pdlmgr.h \
-  $(SOPHYAINCP)zthread.h pisiadw.h \
-  $(SOPHYAINCP)pilistx.h \
+  $(SOPHYAINCP)pdlmgr.h $(SOPHYAINCP)zthread.h \
+  pisiadw.h $(SOPHYAINCP)pilistx.h \
   $(SOPHYAINCP)pilistgen.h \
   $(SOPHYAINCP)pistzwin.h \
@@ -2029,29 +1812,22 @@
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  pisiadw.cc
  
-$(SOPHYAOBJP)pistdimgapp.o: pistdimgapp.cc \
-  $(SOPHYAINCP)sopnamsp.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)strutil.h \
-  $(SOPHYAINCP)timing.h \
+$(SOPHYAOBJP)pistdimgapp.o: pistdimgapp.cc $(SOPHYAINCP)sopnamsp.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)osx_values.h \
+  $(SOPHYAINCP)strutil.h $(SOPHYAINCP)timing.h \
   $(SOPHYAINCP)perrors.h \
   $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)ctimer.h \
-  $(SOPHYAINCP)psighand.h \
-  $(SOPHYAINCP)cimage.h \
-  $(SOPHYAINCP)tmatrix.h \
-  $(SOPHYAINCP)tarray.h \
-  $(SOPHYAINCP)basarr.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)utilarr.h \
-  $(SOPHYAINCP)fioarr.h \
+  $(SOPHYAINCP)ctimer.h $(SOPHYAINCP)psighand.h \
+  $(SOPHYAINCP)cimage.h $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)mutyv.h $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)objfio.h $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h $(SOPHYAINCP)fioarr.h \
   $(SOPHYAINCP)tvector.h pistdimgapp.h \
   $(SOPHYAINCP)pisysdep.h \
@@ -2061,6 +1837,5 @@
   $(SOPHYAINCP)picontainerx.h \
   $(SOPHYAINCP)picontainergen.h \
-  $(SOPHYAINCP)piwdgx.h \
-  $(SOPHYAINCP)piwdggen.h \
+  $(SOPHYAINCP)piwdgx.h $(SOPHYAINCP)piwdggen.h \
   $(SOPHYAINCP)picolist.h \
   $(SOPHYAINCP)pimenubarx.h \
@@ -2073,6 +1848,5 @@
   $(SOPHYAINCP)pibwdgx.h \
   $(SOPHYAINCP)pibwdggen.h \
-  $(SOPHYAINCP)picmap.h \
-  $(SOPHYAINCP)picmapx.h \
+  $(SOPHYAINCP)picmap.h $(SOPHYAINCP)picmapx.h \
   $(SOPHYAINCP)picmapgen.h \
   $(SOPHYAINCP)pigraphx.h \
@@ -2095,21 +1869,16 @@
   $(SOPHYAINCP)periodic.h \
   $(SOPHYAINCP)piimage.h \
-  $(SOPHYAINCP)parradapter.h \
-  $(SOPHYAINCP)lut.h \
+  $(SOPHYAINCP)parradapter.h $(SOPHYAINCP)lut.h \
   $(SOPHYAINCP)pieldrw.h \
   $(SOPHYAINCP)pidrawer.h \
-  $(SOPHYAINCP)pigratt.h \
-  $(SOPHYAINCP)piaxes.h \
+  $(SOPHYAINCP)pigratt.h $(SOPHYAINCP)piaxes.h \
   $(SOPHYAINCP)pipixmapx.h \
   $(SOPHYAINCP)pipixmapgen.h \
   $(SOPHYAINCP)picmapview.h \
-  $(SOPHYAINCP)pi3dwdg.h \
-  $(SOPHYAINCP)pi3ddrw.h \
-  $(SOPHYAINCP)pigraph3d.h nobjmgr.h \
-  dlftypes.h piacmd.h \
+  $(SOPHYAINCP)pi3dwdg.h $(SOPHYAINCP)pi3ddrw.h \
+  $(SOPHYAINCP)pigraph3d.h nobjmgr.h dlftypes.h piacmd.h \
   $(SOPHYAINCP)commander.h \
-  $(SOPHYAINCP)pdlmgr.h \
-  $(SOPHYAINCP)zthread.h pisiadw.h \
-  $(SOPHYAINCP)pilistx.h \
+  $(SOPHYAINCP)pdlmgr.h $(SOPHYAINCP)zthread.h \
+  pisiadw.h $(SOPHYAINCP)pilistx.h \
   $(SOPHYAINCP)pilistgen.h \
   $(SOPHYAINCP)pistzwin.h \
@@ -2128,16 +1897,27 @@
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  pistdimgapp.cc
  
-$(SOPHYAOBJP)pitvmaad.o: pitvmaad.cc \
-  $(SOPHYAINCP)sopnamsp.h pitvmaad.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)parradapter.h \
-  $(SOPHYAINCP)lut.h \
-  $(SOPHYAINCP)tmatrix.h \
-  $(SOPHYAINCP)tarray.h \
+$(SOPHYAOBJP)pitvmaad.o: pitvmaad.cc $(SOPHYAINCP)sopnamsp.h pitvmaad.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)osx_values.h \
+  $(SOPHYAINCP)parradapter.h $(SOPHYAINCP)lut.h \
+  $(SOPHYAINCP)tmatrix.h $(SOPHYAINCP)tarray.h \
   $(SOPHYAINCP)basarr.h \
   $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)mutyv.h $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)objfio.h $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h $(SOPHYAINCP)tvector.h
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  pitvmaad.cc
+ 
+$(SOPHYAOBJP)servnobjm.o: servnobjm.cc $(SOPHYAINCP)sopnamsp.h \
+  $(SOPHYAINCP)strutil.h nobjmgr.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)osx_values.h \
+  $(SOPHYAINCP)anydataobj.h \
   $(SOPHYAINCP)ppersist.h \
   $(SOPHYAINCP)pexceptions.h \
@@ -2146,33 +1926,13 @@
   $(SOPHYAINCP)rawstream.h \
   $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)utilarr.h \
-  $(SOPHYAINCP)tvector.h
-	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  pitvmaad.cc
- 
-$(SOPHYAOBJP)servnobjm.o: servnobjm.cc \
-  $(SOPHYAINCP)sopnamsp.h \
-  $(SOPHYAINCP)strutil.h nobjmgr.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)dvlist.h $(SOPHYAINCP)objfio.h \
   $(SOPHYAINCP)mutyv.h dlftypes.h servnobjm.h \
-  $(SOPHYAINCP)pdlmgr.h \
-  $(SOPHYAINCP)zthread.h nomgadapter.h \
-  $(SOPHYAINCP)pidrawer.h \
-  $(SOPHYAINCP)pibwdggen.h \
-  $(SOPHYAINCP)pisysdep.h \
-  $(SOPHYAINCP)piwdgx.h \
+  $(SOPHYAINCP)pdlmgr.h $(SOPHYAINCP)zthread.h \
+  nomgadapter.h $(SOPHYAINCP)pidrawer.h \
+  $(SOPHYAINCP)pibwdggen.h \
+  $(SOPHYAINCP)pisysdep.h $(SOPHYAINCP)piwdgx.h \
   $(SOPHYAINCP)piwdggen.h \
   $(SOPHYAINCP)pimsghandler.h \
-  $(SOPHYAINCP)picolist.h \
-  $(SOPHYAINCP)picmap.h \
+  $(SOPHYAINCP)picolist.h $(SOPHYAINCP)picmap.h \
   $(SOPHYAINCP)picmapx.h \
   $(SOPHYAINCP)picmapgen.h \
@@ -2185,22 +1945,16 @@
   $(SOPHYAINCP)pigraphuc.h \
   $(SOPHYAINCP)pievthandler.h \
-  $(SOPHYAINCP)psfile.h \
-  $(SOPHYAINCP)pigratt.h \
+  $(SOPHYAINCP)psfile.h $(SOPHYAINCP)pigratt.h \
   $(SOPHYAINCP)piaxes.h \
-  $(SOPHYAINCP)parradapter.h \
-  $(SOPHYAINCP)lut.h \
+  $(SOPHYAINCP)parradapter.h $(SOPHYAINCP)lut.h \
   $(SOPHYAINCP)ntupintf.h \
   $(SOPHYAINCP)generalfit.h \
-  $(SOPHYAINCP)tvector.h \
-  $(SOPHYAINCP)tmatrix.h \
-  $(SOPHYAINCP)tarray.h \
-  $(SOPHYAINCP)basarr.h \
-  $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)utilarr.h \
-  $(SOPHYAINCP)generaldata.h \
-  $(SOPHYAINCP)poly.h \
-  $(SOPHYAINCP)peida.h \
-  $(SOPHYAINCP)utils.h \
-  $(SOPHYAINCP)perrors.h \
+  $(SOPHYAINCP)tvector.h $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h \
+  $(SOPHYAINCP)generaldata.h \
+  $(SOPHYAINCP)poly.h $(SOPHYAINCP)peida.h \
+  $(SOPHYAINCP)utils.h $(SOPHYAINCP)perrors.h \
   $(SOPHYAINCP)fmath.h pistdimgapp.h \
   $(SOPHYAINCP)piapplx.h \
@@ -2225,11 +1979,9 @@
   $(SOPHYAINCP)piperiodx.h \
   $(SOPHYAINCP)periodic.h \
-  $(SOPHYAINCP)piimage.h \
-  $(SOPHYAINCP)pieldrw.h \
+  $(SOPHYAINCP)piimage.h $(SOPHYAINCP)pieldrw.h \
   $(SOPHYAINCP)pipixmapx.h \
   $(SOPHYAINCP)pipixmapgen.h \
   $(SOPHYAINCP)picmapview.h \
-  $(SOPHYAINCP)pi3dwdg.h \
-  $(SOPHYAINCP)pi3ddrw.h \
+  $(SOPHYAINCP)pi3dwdg.h $(SOPHYAINCP)pi3ddrw.h \
   $(SOPHYAINCP)pigraph3d.h piacmd.h \
   $(SOPHYAINCP)commander.h \
@@ -2242,13 +1994,9 @@
   $(SOPHYAINCP)fct1dfit.h \
   $(SOPHYAINCP)fct2dfit.h pitvmaad.h \
-  $(SOPHYAINCP)ntuple.h \
-  $(SOPHYAINCP)cimage.h \
-  $(SOPHYAINCP)fioarr.h \
-  $(SOPHYAINCP)histos.h \
-  $(SOPHYAINCP)histos2.h \
-  $(SOPHYAINCP)hisprof.h \
+  $(SOPHYAINCP)ntuple.h $(SOPHYAINCP)cimage.h \
+  $(SOPHYAINCP)fioarr.h $(SOPHYAINCP)histos.h \
+  $(SOPHYAINCP)histos2.h $(SOPHYAINCP)hisprof.h \
   $(SOPHYAINCP)piyfxdrw.h \
-  $(SOPHYAINCP)pisurfdr.h pintuple.h \
-  pintup3d.h pipodrw.h
+  $(SOPHYAINCP)pisurfdr.h pintuple.h pintup3d.h pipodrw.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  servnobjm.cc
  
